import { computed, ref, inject, defineComponent, useCssVars, openBlock, createBlock, unref, mergeProps, renderSlot, withScopeId, onMounted, watch, createVNode, toRef, provide, isRef, withCtx, Fragment, createTextVNode, toDisplayString, createCommentVNode, watchEffect, render, h, pushScopeId, popScopeId, createSlots, resolveComponent, Transition, toHandlers, withDirectives, vShow, useSlots, renderList, useContext, reactive, onUnmounted, toRefs, withModifiers, isVNode } from 'vue';
import antd__default, { Button as Button$1, Modal, Form, Breadcrumb, Tag, ConfigProvider, Layout as Layout$1, Input as Input$1, InputPassword, DatePicker, InputSearch, Select, RangePicker, TreeSelect, Image, Card as Card$1, Cascader, Checkbox, CheckboxGroup, Empty, Pagination, Radio, RadioGroup, RadioButton, Step, Steps, Switch, Tabs as Tabs$1, Tree, Upload, message } from 'ant-design-vue';
export * from 'ant-design-vue';
export { Breadcrumb as CalBreadcrumb, Form as CalForm, Layout as CalLayout } from 'ant-design-vue';
import { cloneDeep, merge, kebabCase, capitalize, debounce, orderBy, get, forIn, set, camelCase } from 'lodash';
import { analySize, analyUnit, removeHtmlStrTagAttr, filterPrice, selectFiles } from '@tuimao/utils';
import QRCode from 'qrcodejs2-fix';
import { useVModel, useWindowSize, useStorage } from '@vueuse/core';
import nProgress from 'nprogress';
import 'echarts';
import ECharts from 'vue-echarts';
export { default as CalEcharts } from 'vue-echarts';
import { NSlider, NResult, NColorPicker, NDescriptions, NDescriptionsItem, NEllipsis, NSpace, NInputNumber } from 'naive-ui';
export { NDescriptions as CalDescriptions, NDescriptionsItem as CalDescriptionsItem, NResult as CalResult } from 'naive-ui';
import { PerfectScrollbar } from 'vue3-perfect-scrollbar';
import TinymceEditor from '@tinymce/tinymce-vue';
import 'tinymce';
import 'tinymce/skins/ui/oxide/skin.min.css';
import 'tinymce/skins/ui/oxide/content.min.css';
import 'tinymce/skins/content/default/content.css';
import 'tinymce/icons/default/icons';
import 'tinymce/themes/silver';
import 'tinymce/plugins/advlist';
import 'tinymce/plugins/anchor';
import 'tinymce/plugins/autolink';
import 'tinymce/plugins/autosave';
import 'tinymce/plugins/code';
import 'tinymce/plugins/codesample';
import 'tinymce/plugins/colorpicker';
import 'tinymce/plugins/contextmenu';
import 'tinymce/plugins/directionality';
import 'tinymce/plugins/emoticons';
import 'tinymce/plugins/fullscreen';
import 'tinymce/plugins/hr';
import 'tinymce/plugins/imagetools';
import 'tinymce/plugins/insertdatetime';
import 'tinymce/plugins/link';
import 'tinymce/plugins/lists';
import 'tinymce/plugins/nonbreaking';
import 'tinymce/plugins/noneditable';
import 'tinymce/plugins/pagebreak';
import 'tinymce/plugins/paste';
import 'tinymce/plugins/preview';
import 'tinymce/plugins/print';
import 'tinymce/plugins/save';
import 'tinymce/plugins/textcolor';
import 'tinymce/plugins/textpattern';
import 'tinymce/plugins/visualblocks';
import 'tinymce/plugins/visualchars';
import 'tinymce/plugins/wordcount';
import 'tinymce/plugins/searchreplace';
import 'tinymce/plugins/spellchecker';
import 'tinymce/plugins/tabfocus';
import 'tinymce/plugins/table';
import 'tinymce/plugins/template';
import { ElColorPicker, ElTimePicker } from 'element-plus';
import 'vanilla-colorful';
import Pickr from '@simonwep/pickr';
import '@simonwep/pickr/dist/themes/classic.min.css';
import '@simonwep/pickr/dist/themes/monolith.min.css';
import '@simonwep/pickr/dist/themes/nano.min.css';
import moment from 'moment';
import { nanoid } from 'nanoid';
import Sortable from 'sortablejs';

var Common = {
	baseTextColor: "#000000",
	primaryColor: "#558BF7",
	baseColor: "#ffffff",
	"primaryColorLight-2": "#77a2f9",
	"primaryColorLight-4": "#99b9fa",
	"primaryColorLight-6": "#bbd1fc",
	"primaryColorLight-8": "#dde8fd",
	"primaryColorDark-2": "#446fc6",
	"primaryColorDark-4": "#335394",
	"primaryColorDark-6": "#223863",
	"primaryColorDark-8": "#111c31",
	"primaryColorOpacity-2": "rgba(85,139,247,0.8)",
	"primaryColorOpacity-4": "rgba(85,139,247,0.6)",
	"primaryColorOpacity-6": "rgba(85,139,247,0.4)",
	"primaryColorOpacity-8": "rgba(85,139,247,0.2)"
};
var Layout = {
	siderColor: "#001426"
};
var Menu = {
	itemTextColor: "#C2DEF8",
	itemTextActiveColor: "#FFFFFF",
	itemTextHoverColor: "#C2DEF8",
	itemBodyColor: "#FFFFFF00",
	itemBodyActiveColor: "#4474D6",
	itemBodyHoverColor: "inherit",
	itemBtnTextColor: "#001426",
	itemBtnTextActiveColor: "#FFFFFF",
	itemBtnTextHoverColor: "#558BF7",
	itemBtnBodyColor: "inherit",
	itemBtnBodyActiveColor: "#558BF7",
	itemBtnBodyHoverColor: "#DDE8FD",
	itemChildTextColor: "#001426",
	itemChildTextActiveColor: "#558BF7",
	itemChildTextHoverColor: "#558BF7",
	itemChildBodyColor: "inherit",
	itemChildBodyActiveColor: "#DDE8FD",
	itemChildBodyHoverColor: "#DDE8FD"
};
var Button = {
};
var Input = {
	activeColor: "",
	hoverColor: "#558BF7",
	focusColor: "#dde8fd",
	solidColor: "#ffffff"
};
var PageSelect = {
	solidColor: "#ffffff"
};
var Tabs = {
	backgroundColor: "#ffffff",
	hollowColor: ""
};
var Card = {
	bgColor: "#ffffff"
};
var upload = {
	bgColor: "#ffffff"
};
var Table = {
	borderColor: "#f5f5f5"
};
var Classification = {
	notSelectedBodyColor: "#F2F6FA",
	notSelectedTextColor: "#8C8C8C",
	selectedTextColor: "#ffffff",
	selectedBodyColor: "#558BF7"
};
var _colors = {
	Common: Common,
	Layout: Layout,
	Menu: Menu,
	Button: Button,
	Input: Input,
	PageSelect: PageSelect,
	Tabs: Tabs,
	Card: Card,
	upload: upload,
	Table: Table,
	Classification: Classification
};

var _sizes = {
	
};

var Background = {
	image: "",
	color: "#f0f2f5",
	blur: "blur(20px)"
};
var _basics = {
	Background: Background
};

const defaultTheme = () => cloneDeep(merge(_colors, _sizes, _basics));
const transformTheme2CssVars = (theme) => {
  const result = {};
  let keys = [];
  const recursion = (option2) => {
    for (const k in option2) {
      const v = option2[k];
      const isObject = typeof v === "object";
      keys.push(k);
      if (isObject) {
        recursion(v);
        keys = [];
      } else {
        const key = kebabCase(keys.map((v2) => v2[0].toUpperCase() + v2.slice(1)).join("").trim());
        const value = v;
        key && (result[key] = value);
        keys.splice(keys.length - 1, 1);
      }
    }
  };
  recursion(theme);
  return result;
};
const useGlobalTheme = () => {
  const theme = ref(defaultTheme());
  const themeOverrides = inject("themeOverrides");
  const themeMerge = computed(() => merge(theme.value, themeOverrides?.value));
  return computed(() => themeMerge.value);
};
const useTheme = (identif) => {
  const themeMerge = useGlobalTheme();
  return computed(() => themeMerge.value[identif]);
};

const _withId$9 = /* @__PURE__ */ withScopeId("data-v-4090dad8");
const __default__$18 = defineComponent({ name: "CalButton" });
var script$1a = defineComponent({
  ...__default__$18,
  props: {
    ...Button$1.props,
    size: Object,
    shape: {
      type: String,
      default: "round"
    }
  },
  setup(__props) {
    const props = __props;
    const wh = computed(() => analySize(props.size));
    useCssVars(() => wh.value);
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Button$1), mergeProps({ class: "cal-btn" }, props), {
        default: _withId$9(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$1a.__scopeId = "data-v-4090dad8";
script$1a.__file = "package/components/button/src/Button.vue";

const __default__$17 = defineComponent({ name: "CalQrCode" });
var script$19 = defineComponent({
  ...__default__$17,
  props: {
    text: { type: String, required: true },
    size: { type: Number, required: true },
    colorDark: { type: String, default: "#000000" },
    colorLight: { type: String, default: "#ffffff" },
    margin: { type: Number, default: 6 }
  },
  setup(__props) {
    const props = __props;
    const qrCodeRef = ref();
    let qrcode;
    const resetQrCode = () => {
      if (!qrCodeRef.value)
        return;
      qrcode = new QRCode(qrCodeRef.value, {
        ...props,
        width: props.size - props.margin,
        height: props.size - props.margin
      });
    };
    onMounted(resetQrCode);
    watch(() => props.text, (value) => qrcode.makeCode(value));
    const watchList = [() => props.size, () => props.colorDark, () => props.colorLight];
    watch(watchList, resetQrCode);
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-qrcode-container",
        style: { backgroundColor: props.colorLight, padding: `${props.margin}px` }
      }, [
        createVNode("div", { ref: qrCodeRef }, null, 512)
      ], 4);
    };
  }
});

script$19.__scopeId = "data-v-10a42510";
script$19.__file = "package/components/qrcode/src/QrCode.vue";

const __default__$16 = defineComponent({ name: "CalGlobalStyle" });
var script$18 = defineComponent({
  ...__default__$16,
  props: {
    root: {
      type: Object,
      default: document.documentElement
    }
  },
  setup(__props) {
    const props = __props;
    const root = toRef(props, "root");
    const globalTheme = useGlobalTheme();
    watch(globalTheme, (value) => {
      const cssVars = transformTheme2CssVars(value);
      for (const key in cssVars) {
        root.value.style.removeProperty(`--${key}`);
        root.value.style.setProperty(`--${key}`, cssVars[key]);
      }
    }, { deep: true, immediate: true });
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

script$18.__file = "package/components/global-style/src/GlobalStyle.vue";

const __default__$15 = defineComponent({ name: "CalProvide" });
var script$17 = defineComponent({
  ...__default__$15,
  props: {
    id: {
      type: String,
      required: true
    },
    value: Object
  },
  setup(__props) {
    const props = __props;
    provide(props.id, props.value);
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

script$17.__file = "package/components/_internal/src/Provide.vue";

const __default__$14 = defineComponent({ name: "CalProvides" });
var script$16 = defineComponent({
  ...__default__$14,
  props: {
    provides: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const provides = useVModel(props, "provides");
    for (const k in props.provides) {
      const v = computed(() => provides.value?.[k]);
      provide(k, v);
    }
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

script$16.__file = "package/components/_internal/src/Provides.vue";

var collapsed = "<svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M17.75 16C18.1642 16 18.5 16.3358 18.5 16.75C18.5 17.1642 18.1642 17.5 17.75 17.5H8.75C8.33579 17.5 8 17.1642 8 16.75C8 16.3358 8.33579 16 8.75 16H17.75ZM2.71967 11.2197L4.71967 9.21967C5.01256 8.92678 5.48744 8.92678 5.78033 9.21967C6.0466 9.48594 6.0708 9.9026 5.85295 10.1962L5.78033 10.2803L4.31066 11.75L5.78033 13.2197C6.07322 13.5126 6.07322 13.9874 5.78033 14.2803C5.51406 14.5466 5.0974 14.5708 4.80379 14.3529L4.71967 14.2803L2.71967 12.2803C2.4534 12.0141 2.4292 11.5974 2.64705 11.3038L2.71967 11.2197L4.71967 9.21967L2.71967 11.2197ZM20.75 11C21.1642 11 21.5 11.3358 21.5 11.75C21.5 12.1642 21.1642 12.5 20.75 12.5H8.75C8.33579 12.5 8 12.1642 8 11.75C8 11.3358 8.33579 11 8.75 11H20.75ZM17.75 6C18.1642 6 18.5 6.33579 18.5 6.75C18.5 7.16421 18.1642 7.5 17.75 7.5H8.75C8.33579 7.5 8 7.16421 8 6.75C8 6.33579 8.33579 6 8.75 6H17.75Z\" fill=\"currentColor\"/></svg>";
var clone = "<svg   viewBox=\"0 0 20 20\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13.8892 14.9497C14.1821 15.2426 14.6569 15.2426 14.9498 14.9497C15.2427 14.6569 15.2427 14.182 14.9498 13.8891L11.0607 10L14.9498 6.11091C15.2427 5.81802 15.2427 5.34315 14.9498 5.05025C14.6569 4.75736 14.1821 4.75736 13.8892 5.05025L10.0001 8.93934L6.11099 5.05025C5.8181 4.75736 5.34323 4.75736 5.05033 5.05025C4.75744 5.34315 4.75744 5.81802 5.05033 6.11091L8.93942 10L5.05033 13.8891C4.75744 14.182 4.75744 14.6569 5.05033 14.9497C5.34323 15.2426 5.8181 15.2426 6.11099 14.9497L10.0001 11.0607L13.8892 14.9497Z\" fill=\"currentColor\"/></svg>";
var increase = "<svg   viewBox=\"0 0 25 25\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M23.7998 11.7732H13.9598V1.93318C13.9598 1.32856 13.4711 0.839844 12.8665 0.839844C12.2619 0.839844 11.7732 1.32856 11.7732 1.93318V11.7732H1.93318C1.32856 11.7732 0.839844 12.2619 0.839844 12.8665C0.839844 13.4711 1.32856 13.9598 1.93318 13.9598H11.7732V23.7998C11.7732 24.4045 12.2619 24.8932 12.8665 24.8932C13.4711 24.8932 13.9598 24.4045 13.9598 23.7998V13.9598H23.7998C24.4045 13.9598 24.8932 13.4711 24.8932 12.8665C24.8932 12.2619 24.4045 11.7732 23.7998 11.7732Z\" fill=\"currentColor\"/></svg>";
var yes = "<svg   viewBox=\"0 0 16 16\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14.0458 3.4856C14.3299 3.78703 14.3158 4.26169 14.0144 4.54579L6.08456 12.0197C5.74829 12.3366 5.22042 12.3269 4.89609 11.9977L2.21576 9.27737C1.92504 8.98231 1.92856 8.50745 2.22361 8.21674C2.51867 7.92602 2.99353 7.92954 3.28424 8.22459L5.51839 10.4921L12.9856 3.45421C13.287 3.17011 13.7617 3.18416 14.0458 3.4856Z\" fill=\"currentColor\"/></svg>";
var date = "<svg  viewBox=\"0 0 20 20\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7 11C7.55228 11 8 10.5523 8 10C8 9.44771 7.55228 9 7 9C6.44772 9 6 9.44771 6 10C6 10.5523 6.44772 11 7 11ZM8 13C8 13.5523 7.55228 14 7 14C6.44772 14 6 13.5523 6 13C6 12.4477 6.44772 12 7 12C7.55228 12 8 12.4477 8 13ZM10 11C10.5523 11 11 10.5523 11 10C11 9.44771 10.5523 9 10 9C9.44771 9 9 9.44771 9 10C9 10.5523 9.44771 11 10 11ZM11 13C11 13.5523 10.5523 14 10 14C9.44771 14 9 13.5523 9 13C9 12.4477 9.44771 12 10 12C10.5523 12 11 12.4477 11 13ZM13 11C13.5523 11 14 10.5523 14 10C14 9.44771 13.5523 9 13 9C12.4477 9 12 9.44771 12 10C12 10.5523 12.4477 11 13 11ZM17 5.5C17 4.11929 15.8807 3 14.5 3H5.5C4.11929 3 3 4.11929 3 5.5V14.5C3 15.8807 4.11929 17 5.5 17H14.5C15.8807 17 17 15.8807 17 14.5V5.5ZM4 7H16V14.5C16 15.3284 15.3284 16 14.5 16H5.5C4.67157 16 4 15.3284 4 14.5V7ZM5.5 4H14.5C15.3284 4 16 4.67157 16 5.5V6H4V5.5C4 4.67157 4.67157 4 5.5 4Z\" fill=\"currentColor\"/></svg>";
var examples = "<svg   viewBox=\"0 0 20 20\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M9.25 14.2554C9.25 14.6696 9.58578 15.0054 10 15.0054C10.4142 15.0054 10.75 14.6696 10.75 14.2554C10.75 13.8412 10.4142 13.5054 10 13.5054C9.58578 13.5054 9.25 13.8412 9.25 14.2554Z\" fill=\"currentColor\"/><path d=\"M10 17C6.14 17 3 13.86 3 10C3 6.14 6.14 3 10 3C13.86 3 17 6.14 17 10C17 13.86 13.86 17 10 17ZM10 4.00448C6.694 4.00448 4.00448 6.694 4.00448 10C4.00448 13.3055 6.694 15.9955 10 15.9955C13.3055 15.9955 15.9955 13.3055 15.9955 10C15.9955 6.694 13.3055 4.00448 10 4.00448Z\" fill=\"currentColor\"/><path d=\"M10 12.5265C9.72398 12.5265 9.5 12.3025 9.5 12.0265V11.181C9.5 10.363 10.125 9.73805 10.677 9.18655C11.0815 8.78155 11.5 8.36355 11.5 8.03005C11.5 7.19655 10.827 6.51855 10 6.51855C9.15902 6.51855 8.5 7.16755 8.5 7.99605C8.5 8.27205 8.27602 8.49604 8 8.49604C7.72398 8.49604 7.5 8.27204 7.5 7.99604C7.5 6.63005 8.62147 5.51855 10 5.51855C11.3785 5.51855 12.5 6.64505 12.5 8.03005C12.5 8.77855 11.9325 9.34553 11.384 9.89405C10.949 10.328 10.5 10.777 10.5 11.1805V12.026C10.5 12.302 10.276 12.5265 10 12.5265Z\" fill=\"currentColor\"/></svg>";
var option$1 = {
	collapsed: collapsed,
	"up-arrow": "<svg   viewBox=\"0 0 20 20\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14.2032 13C15.0439 13 15.5094 12.0257 14.9811 11.3717L11.1667 6.649C10.5663 5.90567 9.43323 5.90567 8.83285 6.649L5.01839 11.3717C4.49016 12.0257 4.95565 13 5.79633 13L14.2032 13Z\" fill=\"currentColor\"/></svg>",
	clone: clone,
	increase: increase,
	"step-highlight": "<svg   viewBox=\"0 0 40 40\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M20 0C31.0457 0 40 8.9543 40 20C40 31.0457 31.0457 40 20 40C8.9543 40 0 31.0457 0 20C0 8.9543 8.9543 0 20 0ZM26.4393 13.9393L17.5 22.8787L13.5607 18.9393C12.9749 18.3536 12.0251 18.3536 11.4393 18.9393C10.8536 19.5251 10.8536 20.4749 11.4393 21.0607L16.4393 26.0607C17.0251 26.6464 17.9749 26.6464 18.5607 26.0607L28.5607 16.0607C29.1464 15.4749 29.1464 14.5251 28.5607 13.9393C27.9749 13.3536 27.0251 13.3536 26.4393 13.9393Z\" fill=\"currentColor\"/></svg>",
	yes: yes,
	"up-arrow-2": "<svg   viewBox=\"0 0 8 12\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M3.75001 9.37811e-06C3.51478 9.37811e-06 3.30484 0.108303 3.16733 0.277754L0.221623 3.22346C-0.0712702 3.51636 -0.0712702 3.99123 0.221623 4.28412C0.514516 4.57702 0.989389 4.57702 1.28228 4.28412L3.00001 2.5664V11.25C3.00001 11.6642 3.3358 12 3.75001 12C4.16422 12 4.50001 11.6642 4.50001 11.25V2.5559L6.23275 4.28864C6.52564 4.58153 7.00052 4.58153 7.29341 4.28864C7.5863 3.99575 7.5863 3.52087 7.29341 3.22798L4.2851 0.21967C4.1377 0.072267 3.9432 -0.000953745 3.75001 9.37811e-06Z\" fill=\"currentColor\"/></svg>",
	date: date,
	"step-not": "<svg   viewBox=\"0 0 40 40\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M20 0C9 0 0 9 0 20C0 31 9 40 20 40C31 40 40 31 40 20C40 9 31 0 20 0ZM20 37C10.6 37 3 29.4 3 20C3 10.6 10.6 3 20 3C29.4 3 37 10.6 37 20C37 29.4 29.4 37 20 37Z\" fill=\"currentColor\"/><path d=\"M20 23C21.6569 23 23 21.6569 23 20C23 18.3431 21.6569 17 20 17C18.3431 17 17 18.3431 17 20C17 21.6569 18.3431 23 20 23Z\" fill=\"currentColor\"/></svg>",
	examples: examples
};

const __default__$13 = defineComponent({ name: "CalIcon" });
var script$15 = defineComponent({
  ...__default__$13,
  props: {
    type: String,
    size: [String, Number],
    color: String,
    svgSize: Boolean,
    svgContent: String
  },
  setup(__props) {
    const props = __props;
    const svgCotnent = computed(() => {
      return props.svgContent || option$1[props.type];
    });
    const width = computed(() => {
      const value = svgCotnent.value?.match(/width="(?<width>\w*%?)"/)?.groups?.width || "";
      return props.svgSize && analyUnit(value) || "";
    });
    const height = computed(() => {
      const value = svgCotnent.value?.match(/height="(?<height>\w*%?)"/)?.groups?.height || "";
      return props.svgSize && analyUnit(value) || "";
    });
    const svgTag = computed(() => {
      if (!props.svgSize) {
        return removeHtmlStrTagAttr(svgCotnent.value || "", ["height", "width"]);
      }
      return svgCotnent.value;
    });
    const size = computed(() => {
      return props.svgSize ? width.value || props.size : props.size || width.value;
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock("i", {
        class: "cal-icon",
        innerHTML: unref(svgTag),
        style: { color: __props.color, fontSize: unref(analyUnit)(unref(size) || ""), width: unref(width), height: unref(height) }
      }, null, 12, ["innerHTML"]);
    };
  }
});

script$15.__scopeId = "data-v-677e57b8";
script$15.__file = "package/components/icon/src/Icon.vue";

const _hoisted_1$p = { class: "flex items-center" };
const _hoisted_2$i = /* @__PURE__ */ createVNode("i", { class: "nr-warning text-red text-5xl mr-20" }, null, -1);
const _hoisted_3$9 = { class: "flex-1" };
const _hoisted_4$5 = { class: "flex items-center justify-center" };
const _hoisted_5$4 = /* @__PURE__ */ createVNode("i", { class: "nr-after text-green text-4xl mr-10" }, null, -1);
const _hoisted_6$4 = { class: "text-xl font-semibold" };
const _hoisted_7$2 = { class: "text-center" };
const __default__$12 = defineComponent({ name: "CalDialog" });
var script$14 = defineComponent({
  ...__default__$12,
  props: {
    type: {
      type: String,
      default: "confirm"
    },
    title: String,
    content: String,
    description: String,
    modelValue: Boolean,
    customBackground: {
      type: String
    },
    onVanish: Function,
    onResolve: Function,
    onReject: Function,
    closable: {
      type: Boolean,
      default: true
    },
    showCancel: {
      type: Boolean,
      default: true
    },
    showFooter: {
      type: Boolean,
      default: true
    },
    onOk: Function,
    confirmText: {
      type: String,
      default: "\u786E\u8BA4"
    },
    cancelText: {
      type: String,
      default: "\u53D6\u6D88"
    }
  },
  emits: ["cancel"],
  setup(__props, { emit }) {
    const props = __props;
    const showModal = isRef(props.modelValue) ? props.modelValue : useVModel(props, "modelValue");
    watch(showModal, (value) => {
      if (value)
        return false;
      setTimeout(() => props.onVanish?.(), 300);
    });
    const onClone = () => {
      emit("cancel", false);
      props.onReject?.();
      showModal.value = false;
      console.log(showModal.value);
    };
    const onConfirm = () => {
      props.onResolve?.();
      const result = props?.onOk?.();
      if (result instanceof Promise) {
        result.then(() => showModal.value = false);
      } else {
        showModal.value = false;
      }
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Modal), mergeProps({
        "dialog-class": "cal-message-diolog",
        class: { "hide-footer": !__props.showFooter }
      }, props, {
        visible: unref(showModal),
        onOk: onConfirm,
        onCancel: onClone
      }), {
        title: withCtx(() => [
          renderSlot(_ctx.$slots, "title")
        ]),
        footer: withCtx(() => [
          _ctx.$slots["footer"] ? renderSlot(_ctx.$slots, "footer", { key: 0 }) : (openBlock(), createBlock(Fragment, { key: 1 }, [
            __props.showCancel ? (openBlock(), createBlock(script$1a, {
              key: 0,
              class: "mr-20 w-96 h-32",
              onClick: onClone
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(__props.cancelText), 1)
              ]),
              _: 1
            })) : createCommentVNode("v-if", true),
            createVNode(script$1a, {
              type: "primary ",
              class: "w-96 h-32",
              onClick: onConfirm
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(__props.confirmText), 1)
              ]),
              _: 1
            })
          ], 64))
        ]),
        default: withCtx(() => [
          __props.closable ? (openBlock(), createBlock(script$15, {
            key: 0,
            class: ["cursor-pointer align-middle px-4 absolute", [_ctx.$slots["title"] || props.title ? "text-white" : "text-black"]],
            style: { "right": "24px", "top": "20px" },
            type: "clone",
            onClick: onClone,
            size: "26"
          }, null, 8, ["class"])) : createCommentVNode("v-if", true),
          _ctx.$slots["default"] || __props.content || _ctx.$slots["description"] || __props.description ? (openBlock(), createBlock("div", {
            key: 1,
            class: ["cal-message-diolog__content", [__props.customBackground ? "red" : "bg-white"]],
            style: { backgroundColor: __props.customBackground }
          }, [
            createCommentVNode(" \u8B66\u544A "),
            __props.type === "warning" ? (openBlock(), createBlock(Fragment, { key: 0 }, [
              createVNode("div", _hoisted_1$p, [
                _hoisted_2$i,
                createVNode("div", _hoisted_3$9, [
                  __props.content ? (openBlock(), createBlock("div", {
                    key: 0,
                    innerHTML: __props.content
                  }, null, 8, ["innerHTML"])) : createCommentVNode("v-if", true),
                  renderSlot(_ctx.$slots, "default")
                ])
              ]),
              createVNode("div", null, [
                __props.description ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: "mt-28 mb-10",
                  innerHTML: __props.description
                }, null, 8, ["innerHTML"])) : createCommentVNode("v-if", true),
                renderSlot(_ctx.$slots, "description")
              ])
            ], 64)) : __props.type === "success" ? (openBlock(), createBlock(Fragment, { key: 1 }, [
              createCommentVNode(" \u6210\u529F "),
              createVNode("div", _hoisted_4$5, [
                _hoisted_5$4,
                createVNode("div", _hoisted_6$4, [
                  __props.content ? (openBlock(), createBlock("div", {
                    key: 0,
                    innerHTML: __props.content
                  }, null, 8, ["innerHTML"])) : createCommentVNode("v-if", true),
                  renderSlot(_ctx.$slots, "default")
                ])
              ]),
              createVNode("div", _hoisted_7$2, [
                __props.description ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: "mt-28 mb-10",
                  innerHTML: __props.description
                }, null, 8, ["innerHTML"])) : createCommentVNode("v-if", true),
                renderSlot(_ctx.$slots, "description")
              ])
            ], 64)) : (openBlock(), createBlock(Fragment, { key: 2 }, [
              createCommentVNode(" \u5176\u4ED6 "),
              _ctx.$slots["default"] ? renderSlot(_ctx.$slots, "default", { key: 0 }) : createCommentVNode("v-if", true),
              createTextVNode(" " + toDisplayString(__props.content), 1)
            ], 64))
          ], 6)) : createCommentVNode("v-if", true)
        ]),
        _: 3
      }, 16, ["class", "visible"]);
    };
  }
});

script$14.__file = "package/components/modal/src/Dialog.vue";

const __default__$11 = defineComponent({ name: "CalNprogress" });
var script$13 = defineComponent({
  ...__default__$11,
  props: {
    option: Object,
    router: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    watchEffect(() => {
      if (!props.option)
        return void 0;
      nProgress.configure(props.option);
    });
    props.router.beforeEach((to, from, next) => {
      nProgress.start();
      next();
    });
    props.router.afterEach(() => {
      nProgress.done();
    });
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

script$13.__file = "package/components/nprogress/src/Nprogress.vue";

/*
 * @Author: Mr.Mao
 * @Date: 2021-07-14 16:09:31
 * @LastEditTime: 2021-07-14 16:09:42
 * @Description:
 * @LastEditors: Mr.Mao
 * @autograph: 任何一个傻子都能写出让电脑能懂的代码，而只有好的程序员可以写出让人能看懂的代码
 */
/**
 * 渲染组件实例
 * @param Constructor 组件
 * @param props 组件参数
 * @returns 组件实例
 */
const renderInstance = (Constructor, props) => {
    // 组件消失时, 移除当前实例
    props.onVanish = () => {
        render(null, container);
    };
    // 创建虚拟节点, 渲染组件
    const container = document.createElement('div');
    const vnode = h(Constructor, props);
    render(vnode, container);
    if (container.firstElementChild) {
        document.body.appendChild(container.firstElementChild);
    }
    // 这里不需要调用 document.body.removeChild(container.firstElementChild)
    // 因为调用 render(null, container) 为我们完成了这项工作
    return vnode.component;
};

const CalModel = (props) => {
  return new Promise((resolve, reject) => {
    renderInstance(script$14, {
      ...props,
      modelValue: ref(true),
      onResolve: resolve,
      onReject: reject
    });
  });
};
CalModel.confirm = (props) => {
  return CalModel({ ...props, type: "confirm" });
};
CalModel.warning = (props) => {
  return CalModel({ ...props, type: "warning" });
};
CalModel.success = (props) => {
  return CalModel({ ...props, type: "success" });
};

ECharts.name = "cal-echarts";

Form.name = "CalForm";

const inheritProps = (Component) => {
  const props = Component["props"];
  return props;
};
const randomString = (size = 5) => {
  let stringLength;
  stringLength = size > 9 ? 9 : size;
  stringLength = size < 1 ? 1 : size;
  const randomString2 = Math.random().toString(36);
  return randomString2.slice(stringLength * -1, randomString2.length);
};

const __default__$10 = defineComponent({ name: "CalSlider" });
var script$12 = defineComponent({
  ...__default__$10,
  props: {
    ...inheritProps(NSlider),
    modelValue: Number
  },
  setup(__props) {
    const props = __props;
    const num = useVModel(props, "modelValue");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NSlider), mergeProps({ class: "cal-slider" }, props, {
        "theme-overrides": {
          handleSize: "16px",
          railHeight: "10px",
          fillColor: "var(--common-primary-color-light-4)",
          fillColorHover: "var(--common-primary-color)",
          handleColor: "var(--common-primary-color)",
          railColor: "#F5F5F5"
        },
        value: unref(num),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(num) ? num.value = $event : null)
      }), null, 16, ["theme-overrides", "value"]);
    };
  }
});

script$12.__scopeId = "data-v-5eccf778";
script$12.__file = "package/components/slider/src/Slider.vue";

NResult.name = "CalResult";

Form.Item.name = "CalFormItem";
var FormItem = Form.Item;

const _withId$8 = /* @__PURE__ */ withScopeId("data-v-384bba02");
pushScopeId("data-v-384bba02");
const _hoisted_1$o = { class: "cal-perfect-scrollbar relative" };
const _hoisted_2$h = {
  key: 0,
  class: "cal-perfect-scrollbar__content w-full h-full overflow-auto"
};
popScopeId();
const __default__$$ = defineComponent({ name: "CalPerfectScrollbar" });
var script$11 = defineComponent({
  ...__default__$$,
  props: {
    ...PerfectScrollbar.props,
    original: Boolean
  },
  emits: [
    "ps-scroll-y",
    "ps-scroll-x",
    "ps-scroll-up",
    "ps-scroll-down",
    "ps-scroll-left",
    "ps-scroll-right",
    "ps-y-reach-start",
    "ps-y-reach-end",
    "ps-x-reach-start",
    "ps-x-reach-end"
  ],
  setup(__props, { emit }) {
    const props = __props;
    const perfectScrollbarRef = ref();
    const events = [
      "ps-scroll-y",
      "ps-scroll-x",
      "ps-scroll-up",
      "ps-scroll-down",
      "ps-scroll-left",
      "ps-scroll-right",
      "ps-y-reach-start",
      "ps-y-reach-end",
      "ps-x-reach-start",
      "ps-x-reach-end"
    ].reduce((total, ekey) => {
      total[`on${capitalize(ekey)}`] = (...args) => emit(ekey, ...args);
      return total;
    }, {});
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$o, [
        __props.original ? (openBlock(), createBlock("div", _hoisted_2$h, [
          renderSlot(_ctx.$slots, "default")
        ])) : (openBlock(), createBlock(unref(PerfectScrollbar), mergeProps({
          key: 1,
          class: "cal-perfect-scrollbar__content w-full h-full",
          ref: perfectScrollbarRef
        }, { ...props, ...unref(events) }, { "onps-scroll-y": "$outEvents" }), {
          default: _withId$8(() => [
            renderSlot(_ctx.$slots, "default")
          ]),
          _: 3
        }, 16))
      ]);
    };
  }
});

script$11.__scopeId = "data-v-384bba02";
script$11.__file = "package/components/perfect-scrollbar/src/PerfectScrollbar.vue";

const _hoisted_1$n = { class: "flex justify-center" };
const _hoisted_2$g = /* @__PURE__ */ createTextVNode(" \u53D6\u6D88 ");
const _hoisted_3$8 = /* @__PURE__ */ createTextVNode(" \u4E0A\u4E00\u6B65 ");
defineComponent({
  name: "CalButtonProgress"
});
var script$10 = defineComponent({
  props: {
    modelValue: {
      type: Number,
      default: 0
    },
    max: {
      type: Number,
      default: 0
    },
    showComplete: {
      type: Boolean,
      default: true
    },
    completeText: {
      type: String,
      default: "\u4FDD\u5B58"
    },
    openLastStep: {
      type: Boolean,
      default: true
    }
  },
  emits: ["prev", "next", "cancel", "complete"],
  setup(__props, { emit }) {
    const props = __props;
    const current = useVModel(props, "modelValue");
    const isLessThan = computed(() => current.value < props.max);
    const onNextTick = () => {
      if (!isLessThan.value) {
        return emit("complete");
      }
      current.value++;
      emit("next", current.value);
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$n, [
        __props.openLastStep && __props.modelValue == 0 ? (openBlock(), createBlock(script$1a, {
          key: 0,
          class: "w-176 h-48 mr-56 text-base",
          onClick: _cache[1] || (_cache[1] = ($event) => emit("cancel"))
        }, {
          default: withCtx(() => [
            _hoisted_2$g
          ]),
          _: 1
        })) : (openBlock(), createBlock(script$1a, {
          key: 1,
          class: "w-176 h-48 mr-56 text-base",
          onClick: _cache[2] || (_cache[2] = ($event) => (current.value--, emit("prev")))
        }, {
          default: withCtx(() => [
            _hoisted_3$8
          ]),
          _: 1
        })),
        __props.showComplete || unref(isLessThan) && !__props.showComplete ? (openBlock(), createBlock(script$1a, {
          key: 2,
          class: "w-176 h-48 text-base",
          type: "primary",
          onClick: onNextTick
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString(unref(isLessThan) ? "\u4E0B\u4E00\u6B65" : __props.completeText), 1)
          ]),
          _: 1
        })) : createCommentVNode("v-if", true)
      ]);
    };
  }
});

script$10.__file = "package/components/button/src/ButtonProgress.vue";

const option = {
  skin: false,
  content_css: false,
  language_url: "https://client-static-1254212114.cos.ap-guangzhou.myqcloud.com/script/tinymce_zh_CN.js",
  language: "zh_CN",
  plugins: [
    "advlist anchor autolink autosave code codesample colorpicker contextmenu directionality fullscreen hr",
    "imagetools insertdatetime link lists nonbreaking noneditable pagebreak paste preview print save searchreplace",
    "spellchecker tabfocus table template textcolor textpattern visualblocks visualchars wordcount"
  ],
  toolbar: [
    "searchreplace bold italic underline strikethrough alignleft aligncenter alignright outdent indent blockquote undo redo removeformat subscript superscript code codesample",
    "hr bullist numlist link charmap preview anchor pagebreak insertdatetime table forecolor backcolor fullscreen"
  ],
  valid_elements: "p[style|class],a[style|class],abbr[style|class],b[style|class],blockquote[style|class],br[style|class],code[style|class],col[style|class|span|width],colgroup[style|class|span|width],dd[style|class],del[style|class],div[style|class],dl[style|class],dt[style|class],em[style|class],fieldset[style|class],h1[style|class],h2[style|class],h3[style|class],h4[style|class],h5[style|class],h6[style|class],hr[style|class],i[style|class],img[style|class|alt|src|height|width],ins[style|class],label[style|class],legend[style|class],li[style|class],ol[style|class|start|type],p[style|class],q[style|class],span[style|class],strong[style|class],sub[style|class],sup[style|class],table[style|class|width],tbody[style|class],td[style|class|colspan|height|rowspan|width],tfoot[style|class],th[style|class|colspan|height|rowspan|width],thead[style|class],tr[style|class],ul[style|class]",
  paste_as_text: true,
  plugin_preview_height: 670,
  plugin_preview_width: 370,
  entities: "nbsp,160,iexcl,161,cent,162,pound,163,curren,164,yen,165,brvbar,166,sect,167,uml,168,copy,169,ordf,170,laquo,171,not,172,shy,173,reg,174,macr,175,deg,176,plusmn,177,sup2,178,sup3,179,acute,180,micro,181,para,182,middot,183,cedil,184,sup1,185,ordm,186,raquo,187,frac14,188,frac12,189,frac34,190,iquest,191,Agrave,192,Aacute,193,Acirc,194,Atilde,195,Auml,196,Aring,197,AElig,198,Ccedil,199,Egrave,200,Eacute,201,Ecirc,202,Euml,203,Igrave,204,Iacute,205,Icirc,206,Iuml,207,ETH,208,Ntilde,209,Ograve,210,Oacute,211,Ocirc,212,Otilde,213,Ouml,214,times,215,Oslash,216,Ugrave,217,Uacute,218,Ucirc,219,Uuml,220,Yacute,221,THORN,222,szlig,223,agrave,224,aacute,225,acirc,226,atilde,227,auml,228,aring,229,aelig,230,ccedil,231,egrave,232,eacute,233,ecirc,234,euml,235,igrave,236,iacute,237,icirc,238,iuml,239,eth,240,ntilde,241,ograve,242,oacute,243,ocirc,244,otilde,245,ouml,246,divide,247,oslash,248,ugrave,249,uacute,250,ucirc,251,uuml,252,yacute,253,thorn,254,yuml,255,fnof,402,Alpha,913,Beta,914,Gamma,915,Delta,916,Epsilon,917,Zeta,918,Eta,919,Theta,920,Iota,921,Kappa,922,Lambda,923,Mu,924,Nu,925,Xi,926,Omicron,927,Pi,928,Rho,929,Sigma,931,Tau,932,Upsilon,933,Phi,934,Chi,935,Psi,936,Omega,937,alpha,945,beta,946,gamma,947,delta,948,epsilon,949,zeta,950,eta,951,theta,952,iota,953,kappa,954,lambda,955,mu,956,nu,957,xi,958,omicron,959,pi,960,rho,961,sigmaf,962,sigma,963,tau,964,upsilon,965,phi,966,chi,967,psi,968,omega,969,thetasym,977,upsih,978,piv,982,bull,8226,hellip,8230,prime,8242,Prime,8243,oline,8254,frasl,8260,weierp,8472,image,8465,real,8476,trade,8482,alefsym,8501,larr,8592,uarr,8593,rarr,8594,darr,8595,harr,8596,crarr,8629,lArr,8656,uArr,8657,rArr,8658,dArr,8659,hArr,8660,forall,8704,part,8706,exist,8707,empty,8709,nabla,8711,isin,8712,notin,8713,ni,8715,prod,8719,sum,8721,minus,8722,lowast,8727,radic,8730,prop,8733,infin,8734,ang,8736,and,8743,or,8744,cap,8745,cup,8746,int,8747,there4,8756,sim,8764,cong,8773,asymp,8776,ne,8800,equiv,8801,le,8804,ge,8805,sub,8834,sup,8835,nsub,8836,sube,8838,supe,8839,oplus,8853,otimes,8855,perp,8869,sdot,8901,lceil,8968,rceil,8969,lfloor,8970,rfloor,8971,lang,9001,rang,9002,loz,9674,spades,9824,clubs,9827,hearts,9829,diams,9830,OElig,338,oelig,339,Scaron,352,scaron,353,Yuml,376,circ,710,tilde,732,ensp,8194,emsp,8195,thinsp,8201,zwnj,8204,zwj,8205,lrm,8206,rlm,8207,ndash,8211,mdash,8212,lsquo,8216,rsquo,8217,sbquo,8218,ldquo,8220,rdquo,8221,bdquo,8222,dagger,8224,Dagger,8225,permil,8240,lsaquo,8249,rsaquo,8250,euro,8364,"
};

const _hoisted_1$m = { class: "cal-editor" };
const __default__$_ = defineComponent({ name: "CalEditor" });
var script$$ = defineComponent({
  ...__default__$_,
  props: {
    modelValue: {
      type: String
    },
    disabled: Boolean,
    init: {
      type: Object,
      default: option
    }
  },
  setup(__props) {
    const props = __props;
    const content = useVModel(props, "modelValue");
    const option = computed(() => {
      const required = {
        skin: false,
        content_css: false,
        language_url: "https://client-static-1254212114.cos.ap-guangzhou.myqcloud.com/script/tinymce_zh_CN.js",
        language: "zh_CN"
      };
      return merge(required, props.init);
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$m, [
        __props.disabled ? (openBlock(), createBlock("iframe", {
          key: 0,
          class: "cal-editor--disabled h-full w-full",
          srcdoc: unref(content)
        }, null, 8, ["srcdoc"])) : (openBlock(), createBlock(unref(TinymceEditor), {
          key: 1,
          class: "h-full w-full",
          "api-key": "aes3zocor6cpx2x0geyur75jd26mo4y2bnfr12afozutujiw",
          init: unref(option),
          modelValue: unref(content),
          "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => isRef(content) ? content.value = $event : null)
        }, null, 8, ["init", "modelValue"]))
      ]);
    };
  }
});

script$$.__file = "package/components/editor/src/Editor.vue";

Breadcrumb.name = "CalBreadcrumb";

Breadcrumb.Item.name = "CalBreadcrumbItem";
var BreadcrumbItem = Breadcrumb.Item;

const __default__$Z = defineComponent({ name: "CalColorElPickr" });
var script$_ = defineComponent({
  ...__default__$Z,
  props: {
    modelValue: String,
    dynamic: {
      type: Boolean,
      default: false
    },
    showAlpha: Boolean
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const color = computed({
      get: () => props.modelValue,
      set: (value) => emit("update:modelValue", value)
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ElColorPicker), {
        class: "color-puckr-container",
        modelValue: unref(color),
        "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => isRef(color) ? color.value = $event : null),
        showAlpha: __props.showAlpha
      }, null, 8, ["modelValue", "showAlpha"]);
    };
  }
});

script$_.__file = "package/components/color-pickr/src/ColorElPickr.vue";

const __default__$Y = defineComponent({ name: "CalTag" });
var script$Z = defineComponent({
  ...__default__$Y,
  props: {
    ...Tag.props,
    color: {
      type: String,
      default: "var(--common-primary-color)"
    }
  },
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Tag), props, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$Z.__file = "package/components/tag/src/Tag.vue";

const _hoisted_1$l = /* @__PURE__ */ createTextVNode("\u91CD\u7F6E");
const _hoisted_2$f = /* @__PURE__ */ createTextVNode("\u786E\u8BA4");
const __default__$X = defineComponent({ name: "CalColorNPickr" });
var script$Y = defineComponent({
  ...__default__$X,
  props: {
    ...inheritProps(NColorPicker),
    control: Boolean,
    modelValue: String
  },
  setup(__props) {
    const props = __props;
    const oldColor = ref("");
    const color = useVModel(props, "modelValue", void 0, { passive: true });
    const show = useVModel(props, "show", void 0, { passive: true });
    watch(() => show.value, (value) => {
      if (props.control && value)
        oldColor.value = color.value || "";
      if (props.control && !value)
        color.value = oldColor.value;
      console.log(oldColor.value);
    });
    const onConfirm = () => {
      oldColor.value = color.value || "";
      show.value = false;
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NColorPicker), mergeProps(props, {
        value: unref(color),
        "onUpdate:value": _cache[2] || (_cache[2] = ($event) => isRef(color) ? color.value = $event : null),
        show: unref(show),
        "onUpdate:show": _cache[3] || (_cache[3] = ($event) => isRef(show) ? show.value = $event : null)
      }), createSlots({ _: 2 }, [
        _ctx.$slots["action"] || __props.control ? {
          name: "action",
          fn: withCtx(() => [
            renderSlot(_ctx.$slots, "action"),
            __props.control ? (openBlock(), createBlock(Fragment, { key: 0 }, [
              createVNode(script$Z, {
                class: "cursor-pointer px-10",
                color: "",
                onClick: _cache[1] || (_cache[1] = ($event) => color.value = oldColor.value)
              }, {
                default: withCtx(() => [
                  _hoisted_1$l
                ]),
                _: 1
              }),
              createVNode(script$Z, {
                class: "cursor-pointer px-10 mr-0",
                onClick: onConfirm
              }, {
                default: withCtx(() => [
                  _hoisted_2$f
                ]),
                _: 1
              })
            ], 64)) : createCommentVNode("v-if", true)
          ])
        } : void 0
      ]), 1040, ["value", "show"]);
    };
  }
});

script$Y.__file = "package/components/color-pickr/src/ColorNPickr.vue";

const __default__$W = defineComponent({ name: "CalColorFullPickr" });
var script$X = defineComponent({
  ...__default__$W,
  props: {
    modelValue: String,
    width: {
      type: [String, Number],
      default: 150
    },
    height: {
      type: [String, Number],
      default: 100
    }
  },
  setup(__props) {
    const props = __props;
    const style = computed(() => ({
      width: analyUnit(props.width),
      height: analyUnit(props.height)
    }));
    const color = useVModel(props, "modelValue");
    return (_ctx, _cache) => {
      const _component_hex_color_picker = resolveComponent("hex-color-picker");
      return openBlock(), createBlock(_component_hex_color_picker, {
        style: unref(style),
        color: unref(color),
        onColorChanged: _cache[1] || (_cache[1] = ($event) => color.value = $event.detail.value)
      }, null, 8, ["style", "color"]);
    };
  }
});

script$X.__file = "package/components/color-pickr/src/ColorFullPickr.vue";

const __default__$V = defineComponent({ name: "CalColorSimonwepPickr" });
var script$W = defineComponent({
  ...__default__$V,
  props: {
    width: {
      type: String,
      default: "50px"
    },
    height: {
      type: String,
      default: "50px"
    },
    modelValue: String,
    dynamic: {
      type: Boolean,
      default: false
    }
  },
  emits: [
    "change",
    "update:modelValue",
    "cancel",
    "clear",
    "hide",
    "show",
    "save"
  ],
  setup(__props, { emit }) {
    const props = __props;
    const colorPickrEl = ref();
    const colorPickContainer = ref();
    onMounted(() => {
      if (!colorPickrEl.value)
        return false;
      const pickr = Pickr.create({
        el: colorPickrEl.value,
        theme: "monolith",
        swatches: [
          "#F44336",
          "#E91E63",
          "#9C27B0",
          "#673AB7",
          "#3F51B5",
          "#2196F3",
          "#03A9F4",
          "#00BCD4",
          "#009688",
          "#4CAF50",
          "#8BC34A",
          "#CDDC39",
          "#FFEB3B",
          "#FFC107"
        ],
        default: "#ffffff",
        components: {
          preview: true,
          opacity: true,
          hue: true,
          interaction: { hex: true, input: true, save: true }
        },
        defaultRepresentation: "RGBA"
      });
      pickr.on("init", () => {
        const pickrButton = colorPickContainer.value?.querySelector("button");
        if (!pickrButton)
          return false;
        pickrButton.style.transition = "none";
        pickr.setColor(props.modelValue || "#ffffff");
        pickrButton.style.transition = "all .3s";
      });
      pickr.on("change", () => {
        emit("change", pickr.getColor());
        if (props.dynamic) {
          emit("update:modelValue", pickr.getColor().toHEXA().toString());
        }
      });
      pickr.on("cancel", () => emit("cancel", pickr.getColor()));
      pickr.on("clear", () => emit("clear", pickr.getColor()));
      pickr.on("hide", () => emit("hide"));
      pickr.on("show", () => emit("show"));
      pickr.on("save", () => {
        if (pickr.getColor().toHEXA().toString() == props.modelValue)
          return;
        emit("save", pickr.getColor());
        emit("update:modelValue", pickr.getColor().toHEXA().toString().toLocaleLowerCase());
      });
      watch(() => props.modelValue, (value) => {
        value && pickr.setColor(value);
      });
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "color-puckr-container",
        ref: colorPickContainer,
        style: { width: __props.width, height: __props.height }
      }, [
        createVNode("div", { ref: colorPickrEl }, null, 512)
      ], 4);
    };
  }
});

script$W.__file = "package/components/color-pickr/src/ColorSimonwepPickr.vue";

NDescriptions.name = "CalDescriptions";

NDescriptionsItem.name = "CalDescriptionsItem";

pushScopeId("data-v-2c3c6643");
const _hoisted_1$k = { class: "cal-config-provider" };
popScopeId();
const __default__$U = defineComponent({ name: "CalConfigProvider" });
var script$V = defineComponent({
  ...__default__$U,
  props: {
    ...ConfigProvider.props,
    themeOverrides: {
      type: Object,
      default: {}
    }
  },
  setup(__props) {
    const props = __props;
    const themeOverrides = toRef(props, "themeOverrides");
    const injectOverrides = inject("themeOverrides");
    const mergeTheme = computed(() => merge(injectOverrides?.value, themeOverrides.value));
    provide("themeOverrides", mergeTheme);
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$k, [
        renderSlot(_ctx.$slots, "default")
      ]);
    };
  }
});

script$V.__scopeId = "data-v-2c3c6643";
script$V.__file = "package/components/config-provider/src/ConfigProvider.vue";

const _hoisted_1$j = { class: "cal-menu transition-all duration-200 flex-1" };
const __default__$T = defineComponent({ name: "CalMenu" });
var script$U = defineComponent({
  ...__default__$T,
  props: {
    collapse: Boolean,
    defaultActive: {
      type: Array,
      default: []
    },
    styleType: String
  },
  emits: ["update"],
  setup(__props, { emit }) {
    const props = __props;
    const source = useVModel(props, "defaultActive");
    const defaultActive = computed({
      get: () => Array.isArray(source.value) ? source.value : [source.value],
      set: (value) => {
        Array.isArray(source.value) ? source.value = value : source.value = value[0];
      }
    });
    provide("collapse", toRef(props, "collapse"));
    provide("defaultActive", defaultActive);
    provide("onUpdate", (key, indexs) => {
      defaultActive.value = indexs;
      emit("update", key, indexs);
    });
    provide("styleType", props.styleType);
    return (_ctx, _cache) => {
      return openBlock(), createBlock("ul", _hoisted_1$j, [
        createVNode(script$11, { class: "h-full" }, {
          default: withCtx(() => [
            renderSlot(_ctx.$slots, "default")
          ]),
          _: 3
        })
      ]);
    };
  }
});

script$U.__file = "package/components/menu/src/Menu.vue";

const _withId$7 = /* @__PURE__ */ withScopeId("data-v-9a2e6faa");
pushScopeId("data-v-9a2e6faa");
const _hoisted_1$i = {
  key: 0,
  class: "cal-menu-item__prefix"
};
const _hoisted_2$e = {
  key: 0,
  class: "cal-menu-item__content"
};
popScopeId();
const __default__$S = defineComponent({ name: "CalMenuItem" });
var script$T = defineComponent({
  ...__default__$S,
  props: {
    index: String,
    indicator: {
      type: Boolean
    },
    vertical: Boolean,
    notUpdate: Boolean
  },
  setup(__props) {
    const props = __props;
    useTheme("Menu");
    const upindexs = inject("upindexs");
    const indexs = computed(() => [...upindexs?.value || [], props.index]);
    const collapse = inject("collapse");
    const defaultActive = inject("defaultActive");
    const styleType = inject("styleType");
    const isChildren = inject("isChildren");
    const onUpdate = inject("onUpdate");
    const active = computed(() => {
      return defaultActive.value.some((v) => v === props.index);
    });
    const itemCalss = computed(() => {
      const buttonClass = ["cal-munu-item__button"];
      const buttonActiveClass = [
        "cal-munu-item__button__default",
        "cal-munu-item__button-active",
        { "cal-munu-item__indicator": props.indicator }
      ];
      const childrenClass = ["cal-munu-item__children"];
      const childrenAcitveClass = [
        "cal-munu-item__children-active",
        { "cal-munu-item__indicator": props.indicator }
      ];
      const defaultClass = ["cal-munu-item__default"];
      const defaultActiveClass = [
        "cal-munu-item__default-active",
        { "cal-munu-item__indicator": props.indicator }
      ];
      let currentActiveClass = [];
      let currentClass = [];
      if (isChildren) {
        styleType === "button" && childrenClass.push("cal-munu-item__button__default");
        styleType === "button" && childrenAcitveClass.push("cal-munu-item__button__default");
        currentClass = childrenClass;
        currentActiveClass = childrenAcitveClass;
      } else if (styleType === "button") {
        currentClass = buttonClass;
        currentActiveClass = buttonActiveClass;
      } else {
        currentClass = defaultClass;
        currentActiveClass = defaultActiveClass;
      }
      return active.value ? currentActiveClass : currentClass;
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock("li", {
        class: ["\r\n      cal-menu-item\r\n      cursor-pointer\r\n      transition-all\r\n      duration-500\r\n      text-center\r\n      flex\r\n      justify-center\r\n      items-center\r\n    ", [
          unref(itemCalss),
          __props.vertical ? "flex-col" : "cal-menu-item--vertical",
          unref(collapse) ? "cal-menu-item--collapse" : ""
        ]],
        onClick: _cache[1] || (_cache[1] = ($event) => !__props.notUpdate && unref(onUpdate)?.(__props.index, unref(indexs)))
      }, [
        _ctx.$slots["prefix"] ? (openBlock(), createBlock("span", _hoisted_1$i, [
          renderSlot(_ctx.$slots, "prefix")
        ])) : createCommentVNode("v-if", true),
        createVNode(Transition, {
          "enter-active-class": "animate__bounceIn",
          "leave-active-class": "animate__bounceOut",
          duration: { enter: 400, leave: 100 }
        }, {
          default: _withId$7(() => [
            !unref(collapse) ? (openBlock(), createBlock("span", _hoisted_2$e, [
              renderSlot(_ctx.$slots, "default")
            ])) : createCommentVNode("v-if", true)
          ]),
          _: 3
        }),
        _ctx.$slots["suffix"] ? renderSlot(_ctx.$slots, "suffix", { key: 1 }) : createCommentVNode("v-if", true)
      ], 2);
    };
  }
});

script$T.__scopeId = "data-v-9a2e6faa";
script$T.__file = "package/components/menu/src/MenuItem.vue";

const __default__$R = defineComponent({ name: "CalCollapseTransition" });
var script$S = defineComponent({
  ...__default__$R,
  setup(__props) {
    const on = {
      beforeEnter(el) {
        el.classList.add("collapse-transition");
        if (!el.dataset)
          el.dataset = {};
        el.dataset.oldPaddingTop = el.style.paddingTop;
        el.dataset.oldPaddingBottom = el.style.paddingBottom;
        el.style.height = "0";
        el.style.paddingTop = "0";
        el.style.paddingBottom = "0";
      },
      enter(el) {
        el.dataset.oldOverflow = el.style.overflow;
        if (el.scrollHeight !== 0) {
          el.style.height = el.scrollHeight + "px";
          el.style.paddingTop = el.dataset.oldPaddingTop || "0";
          el.style.paddingBottom = el.dataset.oldPaddingBottom || "0";
        } else {
          el.style.height = "";
          el.style.paddingTop = el.dataset.oldPaddingTop || "0";
          el.style.paddingBottom = el.dataset.oldPaddingBottom || "0";
        }
        el.style.overflow = "hidden";
      },
      afterEnter(el) {
        el.classList.remove("collapse-transition");
        el.style.height = "";
        el.style.overflow = el.dataset.oldOverflow || "0";
      },
      beforeLeave(el) {
        if (!el.dataset)
          el.dataset = {};
        el.dataset.oldPaddingTop = el.style.paddingTop;
        el.dataset.oldPaddingBottom = el.style.paddingBottom;
        el.dataset.oldOverflow = el.style.overflow;
        el.style.height = el.scrollHeight + "px";
        el.style.overflow = "hidden";
      },
      leave(el) {
        if (el.scrollHeight !== 0) {
          el.classList.add("collapse-transition");
          el.style.transitionProperty = "height";
          el.style.height = "0";
          el.style.paddingTop = "0";
          el.style.paddingBottom = "0";
        }
      },
      afterLeave(el) {
        el.classList.remove("collapse-transition");
        el.style.height = "";
        el.style.overflow = el.dataset.oldOverflow || "0";
        el.style.paddingTop = el.dataset.oldPaddingTop || "0";
        el.style.paddingBottom = el.dataset.oldPaddingBottom || "0";
      }
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock(Transition, toHandlers(on), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$S.__file = "package/components/transition/src/CollapseTransition.vue";

const _withId$6 = /* @__PURE__ */ withScopeId("data-v-57e914d2");
pushScopeId("data-v-57e914d2");
const _hoisted_1$h = { class: "cal-menu-group" };
const _hoisted_2$d = { class: "cal-menu-group__contents" };
popScopeId();
const __default__$Q = defineComponent({ name: "CalMenuGroup" });
var script$R = defineComponent({
  ...__default__$Q,
  props: {
    index: {
      type: [String],
      default: ""
    }
  },
  setup(__props) {
    const props = __props;
    const upindexs = inject("upindexs");
    provide("upindexs", computed(() => [...upindexs?.value || [], props.index]));
    const defaultActive = inject("defaultActive");
    const active = computed(() => {
      return defaultActive.value.some((v) => v === props.index);
    });
    const showMenuItems = ref(false);
    setTimeout(() => showMenuItems.value = active.value);
    const onShowMenuItems = () => {
      showMenuItems.value = !showMenuItems.value;
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock("ul", _hoisted_1$h, [
        createVNode(script$T, {
          index: __props.index,
          onClick: onShowMenuItems,
          "not-update": ""
        }, {
          prefix: _withId$6(() => [
            renderSlot(_ctx.$slots, "prefix")
          ]),
          suffix: _withId$6(() => [
            createVNode("div", {
              class: ["cal-menu-group__icon transform duration-200 absolute", [showMenuItems.value ? "rotate-0" : "-rotate-180"]]
            }, [
              createVNode(script$15, {
                size: "20",
                type: "up-arrow"
              })
            ], 2)
          ]),
          default: _withId$6(() => [
            renderSlot(_ctx.$slots, "title")
          ]),
          _: 3
        }, 8, ["index"]),
        createVNode(script$17, {
          id: "isChildren",
          value: true
        }, {
          default: _withId$6(() => [
            createVNode(script$S, null, {
              default: _withId$6(() => [
                withDirectives(createVNode("ul", _hoisted_2$d, [
                  renderSlot(_ctx.$slots, "default")
                ], 512), [
                  [vShow, showMenuItems.value]
                ])
              ]),
              _: 3
            })
          ]),
          _: 1
        })
      ]);
    };
  }
});

script$R.__scopeId = "data-v-57e914d2";
script$R.__file = "package/components/menu/src/MenuGroup.vue";

Layout$1.name = "CalLayout";

Layout$1.Content.name = "CalLayoutContent";
var LayoutContent = Layout$1.Content;

Layout$1.Sider.name = "CalLayoutSider";
var LayoutSider = Layout$1.Sider;

const _hoisted_1$g = { class: "cal-sticky-layout__content flex-1 overflow-y-auto relative" };
const _hoisted_2$c = { class: "cal-sticky-layout__sticky" };
const __default__$P = defineComponent({ name: "CalLayoutSticky" });
var script$Q = defineComponent({
  ...__default__$P,
  props: {
    height: {
      type: [String, Number]
    },
    minHeight: {
      type: [String, Number]
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-sticky-layout flex flex-col",
        style: [
          __props.height ? { height: unref(analyUnit)(__props.height || "") } : { minHeight: unref(analyUnit)(__props.minHeight || "") }
        ]
      }, [
        createVNode("div", _hoisted_1$g, [
          renderSlot(_ctx.$slots, "default")
        ]),
        createVNode("div", _hoisted_2$c, [
          renderSlot(_ctx.$slots, "sticky")
        ])
      ], 4);
    };
  }
});

script$Q.__file = "package/components/layout/src/LayoutSticky.vue";

const __default__$O = defineComponent({ name: "CalBackground" });
var script$P = defineComponent({
  ...__default__$O,
  props: {
    image: String,
    color: String,
    blur: String,
    zIndex: {
      type: Number,
      default: -100
    }
  },
  setup(__props) {
    const props = __props;
    const theme = useTheme("Background");
    const image = computed(() => props.image || theme.value.image);
    const color = computed(() => props.color || theme.value.color);
    const blur = computed(() => props.blur || theme.value.blur);
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-background absolute left-0 top-0 bottom-0 right-0 overflow-hidden",
        style: { backgroundColor: unref(color), filter: unref(blur), backgroundImage: unref(image), zIndex: __props.zIndex }
      }, null, 4);
    };
  }
});

script$P.__scopeId = "data-v-7fb68958";
script$P.__file = "package/components/background/src/Background.vue";

const __default__$N = defineComponent({ name: "CalEllipsis" });
var script$O = defineComponent({
  ...__default__$N,
  props: {
    ...inheritProps(NEllipsis)
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NEllipsis), mergeProps({ class: "cal-ellipsis" }, props), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$O.__file = "package/components/ellipsis/src/Ellipsis.vue";

const __default__$M = defineComponent({ name: "CalSpace" });
var script$N = defineComponent({
  ...__default__$M,
  props: {
    ...inheritProps(NSpace)
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NSpace), mergeProps({ class: "cal-space" }, props), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$N.__file = "package/components/space/src/Space.vue";

const _hoisted_1$f = { class: "cal-grid__container" };
const _hoisted_2$b = { class: "cal-grid__view" };
const __default__$L = defineComponent({ name: "CalGrid" });
var script$M = defineComponent({
  ...__default__$L,
  props: {
    size: {
      type: Object,
      required: true
    },
    gap: {
      type: Number,
      default: 24
    },
    justifyContent: {
      type: String,
      default: "space-evenly"
    },
    alignItems: {
      type: String,
      default: "initial"
    }
  },
  setup(__props) {
    const props = __props;
    const handelSize = computed(() => analySize(props.size));
    useCssVars(() => ({
      ...handelSize.value,
      gap: analyUnit(props.gap),
      "justify-content": props.justifyContent,
      "align-items": props.alignItems
    }));
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$f, [
        createVNode("div", _hoisted_2$b, [
          renderSlot(_ctx.$slots, "default")
        ])
      ]);
    };
  }
});

script$M.__file = "package/components/grid/src/Grid.vue";

const __default__$K = defineComponent({ name: "CalAvatar" });
var script$L = defineComponent({
  ...__default__$K,
  props: {
    size: [Number, String],
    src: String,
    fit: String
  },
  setup(__props) {
    const props = __props;
    const style = computed(() => ({
      width: analyUnit(props.size || ""),
      height: analyUnit(props.size || ""),
      fit: props.fit
    }));
    const defaultSrc = "https://client-static-1254212114.cos.ap-guangzhou.myqcloud.com/images/avatar.png";
    const src = computed(() => props.src || defaultSrc || "");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("img", {
        class: "cal-avatar",
        style: [unref(style)],
        src: unref(src)
      }, null, 12, ["src"]);
    };
  }
});

script$L.__file = "package/components/avatar/src/Avatar.vue";

const _hoisted_1$e = {
  key: 1,
  class: "flex items-center text-gray-darkmin"
};
const _hoisted_2$a = { class: "text-gray-500" };
const _hoisted_3$7 = { class: "text-gray-500" };
const __default__$J = defineComponent({ name: "CalInput" });
var script$K = defineComponent({
  ...__default__$J,
  props: {
    modelValue: [String, Number],
    showCount: Boolean,
    maxLength: Number,
    placeholder: String
  },
  emits: [],
  setup(__props, { emit }) {
    const props = __props;
    const slots = useSlots();
    const inputValue = useVModel(props, "modelValue", emit);
    const currentFontNumber = ref(0);
    const inputChange = ({ target: { value } }) => {
      currentFontNumber.value = value?.length || 0;
    };
    watch(() => props.modelValue, (value) => {
      currentFontNumber.value = value?.length || 0;
    }, { immediate: true });
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Input$1), mergeProps({ class: "cal-input" }, props, {
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null),
        onChange: inputChange
      }), {
        suffix: withCtx(() => [
          unref(slots)["suffix"] ? renderSlot(_ctx.$slots, "suffix", { key: 0 }) : __props.showCount ? (openBlock(), createBlock("div", _hoisted_1$e, [
            createVNode("span", _hoisted_2$a, toDisplayString(currentFontNumber.value), 1),
            createVNode("span", _hoisted_3$7, "/" + toDisplayString(__props.maxLength), 1)
          ])) : createCommentVNode("v-if", true)
        ]),
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["value"]);
    };
  }
});

script$K.__file = "package/components/input/src/Input.vue";

const defaultOption = { wait: 300 };
const useShakeDataHandel = (handelFun, option = defaultOption) => {
  const cache = ref("");
  const debounceHandel = debounce(handelFun, option.wait);
  return {
    virtualValue: computed({
      get: () => cache.value,
      set(value) {
        cache.value = value;
        debounceHandel({ value, realValue: cache });
      }
    }),
    realValue: cache
  };
};

const _hoisted_1$d = /* @__PURE__ */ createVNode("div", {
  class: "text-center text-sm text-gray-darkmin my-auto",
  style: { "min-width": "32px" }
}, "-", -1);
const __default__$I = defineComponent({ name: "CalInputSection" });
var script$J = defineComponent({
  ...__default__$I,
  props: {
    placeholder: {
      type: String,
      default: ""
    },
    width: {
      type: [Number, String],
      default: 175
    },
    modelValue: {
      type: Object,
      default: ["", ""]
    },
    min: { type: Number, default: 0 },
    max: { type: Number, default: 1e5 },
    openAutoSize: Boolean
  },
  emits: [],
  setup(__props, { emit }) {
    const props = __props;
    const modelValue = useVModel(props, "modelValue", emit);
    const rangeJudge = (value) => value > props.max || +value < props.min;
    const { virtualValue: minValue, realValue: minRealValue } = useShakeDataHandel(({ value }) => {
      if (value === "") {
        modelValue.value[0] = "";
      } else if (props.openAutoSize && +value > +maxValue.value) {
        modelValue.value[0] = minRealValue.value = maxValue.value;
      } else if (rangeJudge(value)) {
        modelValue.value[0] = minRealValue.value = value > props.max ? props.max : props.min;
      } else {
        modelValue.value[0] = minRealValue.value = filterPrice(value + "");
      }
    }, { wait: 400 });
    const { virtualValue: maxValue, realValue: maxRealValue } = useShakeDataHandel(({ value }) => {
      if (value === "") {
        modelValue.value[1] = "";
      } else if (props.openAutoSize && +value < +minValue.value) {
        modelValue.value[1] = maxRealValue.value = minValue.value;
      } else if (rangeJudge(value)) {
        modelValue.value[1] = maxRealValue.value = value > props.max ? props.max : props.min;
      } else {
        modelValue.value[1] = maxRealValue.value = filterPrice(value + "");
      }
    }, { wait: 400 });
    watch(() => modelValue.value, (value) => {
      minRealValue.value = value[0];
      maxRealValue.value = value[1];
    }, { immediate: true });
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "flex h-36",
        style: { width: unref(analyUnit)(__props.width) }
      }, [
        createVNode(script$K, {
          placeholder: __props.placeholder,
          modelValue: unref(minValue),
          "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => isRef(minValue) ? minValue.value = $event : null)
        }, null, 8, ["placeholder", "modelValue"]),
        _hoisted_1$d,
        createVNode(script$K, {
          placeholder: __props.placeholder,
          modelValue: unref(maxValue),
          "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => isRef(maxValue) ? maxValue.value = $event : null)
        }, null, 8, ["placeholder", "modelValue"])
      ], 4);
    };
  }
});

script$J.__file = "package/components/input/src/InputSection.vue";

const __default__$H = defineComponent({ name: "CalInputPassword" });
var script$I = defineComponent({
  ...__default__$H,
  setup(__props) {
    const props = __props;
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InputPassword), mergeProps(props, { class: "cal-password" }), null, 16);
    };
  }
});

script$I.__file = "package/components/input/src/InputPassword.vue";

const __default__$G = defineComponent({ name: "CalInputDate" });
var script$H = defineComponent({
  ...__default__$G,
  props: {
    modelValue: [Number, String],
    placeholder: {
      type: String,
      default: ""
    },
    startOf: {
      type: String,
      default: "day"
    },
    toSecond: Boolean
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const inputValue = computed({
      get() {
        if (props.modelValue) {
          return props.toSecond ? moment(+props.modelValue * 1e3) : moment(+props.modelValue);
        }
        return void 0;
      },
      set(moments) {
        if (moments) {
          props.toSecond ? emit("update:modelValue", +moments.startOf(props.startOf).format("X")) : emit("update:modelValue", +moments.format("x"));
        } else {
          emit("update:modelValue", "");
        }
      }
    });
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(DatePicker), mergeProps(props, {
        placeholder: __props.placeholder,
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null)
      }), null, 16, ["placeholder", "value"]);
    };
  }
});

script$H.__scopeId = "data-v-6551fc06";
script$H.__file = "package/components/input/src/InputDate.vue";

const _hoisted_1$c = { class: "cal-input-number flex items-center" };
const __default__$F = defineComponent({ name: "CalInputNumber" });
var script$G = defineComponent({
  ...__default__$F,
  props: {
    ...inheritProps(NInputNumber),
    modelValue: Number
  },
  setup(__props) {
    const props = __props;
    const num = useVModel(props, "modelValue");
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$c, [
        createVNode(unref(NInputNumber), mergeProps({ class: "flex-1" }, props, {
          value: unref(num),
          "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(num) ? num.value = $event : null),
          "show-button": false
        }), null, 16, ["value"]),
        renderSlot(_ctx.$slots, "suffix")
      ]);
    };
  }
});

script$G.__file = "package/components/input/src/inputNumber.vue";

const __default__$E = defineComponent({ name: "CalInputSearch" });
var script$F = defineComponent({
  ...__default__$E,
  setup(__props) {
    const props = __props;
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InputSearch), mergeProps(props, { class: "cal-input-search" }), null, 16);
    };
  }
});

script$F.__file = "package/components/input/src/InputSearch.vue";

const __default__$D = defineComponent({ name: "CalInputSelect" });
var script$E = defineComponent({
  ...__default__$D,
  props: {
    modelValue: [String, Number],
    width: {
      type: [Number, String],
      default: 175
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const inputValue = computed({
      get: () => props.modelValue ? props.modelValue : void 0,
      set(value) {
        emit("update:modelValue", value);
      }
    });
    useTheme("Common");
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Select), mergeProps({
        class: "cal-select",
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null),
        dropdownClassName: "cal-select-option"
      }, props, {
        style: { width: unref(analyUnit)(__props.width) },
        allowClear: ""
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["value", "style"]);
    };
  }
});

script$E.__file = "package/components/input/src/InputSelect.vue";

const __default__$C = defineComponent({ name: "CalInputSpecialSelect" });
var script$D = defineComponent({
  ...__default__$C,
  props: {
    modelValue: {
      type: [String, Number],
      default: " "
    },
    width: {
      type: [Number, String],
      default: 116
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const inputValue = computed({
      get: () => props.modelValue ? props.modelValue : void 0,
      set(value) {
        emit("update:modelValue", value);
      }
    });
    useTheme("Common");
    useTheme("PageSelect");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Select), mergeProps({
        class: "cal-page-select",
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null),
        dropdownClassName: "cal-page-select-option "
      }, props, {
        style: { width: unref(analyUnit)(__props.width) }
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["value", "style"]);
    };
  }
});

script$D.__file = "package/components/input/src/InputSpecialSelect.vue";

const _withId$5 = /* @__PURE__ */ withScopeId("data-v-6d87f883");
const __default__$B = defineComponent({ name: "CalInputRangePicker" });
var script$C = defineComponent({
  ...__default__$B,
  props: {
    placeholder: {
      type: Array,
      default: ""
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(RangePicker), mergeProps(props, {
        placeholder: __props.placeholder,
        class: "cal-input-range-picker"
      }), {
        suffixIcon: _withId$5(() => [
          createVNode(script$15, {
            type: "date",
            size: "20",
            color: "#8C8C8C"
          })
        ]),
        _: 1
      }, 16, ["placeholder"]);
    };
  }
});

script$C.__scopeId = "data-v-6d87f883";
script$C.__file = "package/components/input/src/InputRangePicker.vue";

const __default__$A = defineComponent({ name: "CalInputTreeSelect" });
var script$B = defineComponent({
  ...__default__$A,
  setup(__props) {
    const props = __props;
    const SHOW_PARENT = TreeSelect.SHOW_PARENT;
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(TreeSelect), mergeProps({ class: "cal-custom-tree-select" }, props, { "show-checked-strategy": unref(SHOW_PARENT) }), null, 16, ["show-checked-strategy"]);
    };
  }
});

script$B.__file = "package/components/input/src/inputTreeSelect.vue";

const __default__$z = defineComponent({ name: "CalInputTimePicker" });
var script$A = defineComponent({
  ...__default__$z,
  setup(__props) {
    const props = __props;
    useTheme("Input");
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ElTimePicker), mergeProps({
        class: "cal-time-picker",
        "is-range": ""
      }, props, { "popper-class": "cal-time-range-picke" }), null, 16);
    };
  }
});

script$A.__file = "package/components/input/src/InputTimePicker.vue";

const __default__$y = defineComponent({ name: "CalImage" });
var script$z = defineComponent({
  ...__default__$y,
  props: {
    ...Image.props,
    size: {
      type: Object,
      default: "100%"
    },
    circle: {
      type: [Boolean, Number, String]
    },
    preview: {
      type: Boolean,
      default: false
    }
  },
  setup(__props) {
    const props = __props;
    const wh = computed(() => analySize(props.size));
    const circle = computed(() => {
      if (typeof props.circle === "boolean" && props.circle) {
        return "99999px";
      }
      return analyUnit(props.circle || "");
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-image rounded-lg overflow-hidden",
        style: { width: unref(wh).width, height: unref(wh).height, borderRadius: unref(circle) }
      }, [
        createVNode(unref(Image), mergeProps({ class: "object-cover block" }, props, {
          width: "100%",
          height: "100%"
        }), null, 16)
      ], 4);
    };
  }
});

script$z.__file = "package/components/image/src/Image.vue";

const _withId$4 = /* @__PURE__ */ withScopeId("data-v-26c5e198");
const __default__$x = defineComponent({ name: "CalCard" });
var script$y = defineComponent({
  ...__default__$x,
  props: {
    isHidden: {
      type: Boolean,
      default: true
    },
    leftBorder: Boolean
  },
  setup(__props) {
    const props = __props;
    useTheme("Card");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Card$1), mergeProps({
        class: ["bg-card-bg-color", [__props.isHidden ? "cal-card " : "card-style-none", __props.leftBorder ? "card-side-strip" : ""]]
      }, props), createSlots({ _: 2 }, [
        renderList(_ctx.$slots, (_, key) => {
          return {
            name: key,
            fn: _withId$4(() => [
              renderSlot(_ctx.$slots, key)
            ])
          };
        })
      ]), 1040, ["class"]);
    };
  }
});

script$y.__scopeId = "data-v-26c5e198";
script$y.__file = "package/components/card/src/Card.vue";

const _hoisted_1$b = /* @__PURE__ */ createVNode("div", { class: "loading-gif_" }, [
  /* @__PURE__ */ createVNode("span"),
  /* @__PURE__ */ createVNode("span"),
  /* @__PURE__ */ createVNode("span"),
  /* @__PURE__ */ createVNode("span"),
  /* @__PURE__ */ createVNode("span")
], -1);
const _hoisted_2$9 = { class: "auth-control_" };
const _hoisted_3$6 = { class: "range-text" };
const _hoisted_4$4 = /* @__PURE__ */ createVNode("div", null, null, -1);
const _hoisted_5$3 = /* @__PURE__ */ createVNode("div", null, null, -1);
const _hoisted_6$3 = /* @__PURE__ */ createVNode("div", null, null, -1);
const __default__$w = defineComponent({ name: "CalGraphicsVerif" });
var script$x = defineComponent({
  ...__default__$w,
  props: {
    proportion: { type: Number, default: 0.6 / 1 },
    show: { type: Boolean, default: true },
    puzzleScale: { type: Number, default: 1 },
    sliderSize: { type: Number, default: 50 },
    range: { type: Number, default: 10 },
    imgs: {
      type: Array
    },
    successText: {
      type: String,
      default: "\u9A8C\u8BC1\u901A\u8FC7\uFF01"
    },
    failText: {
      type: String,
      default: "\u9A8C\u8BC1\u5931\u8D25\uFF0C\u8BF7\u91CD\u8BD5"
    },
    sliderText: {
      type: String,
      default: "\u62D6\u52A8\u6ED1\u5757\u5B8C\u6210\u62FC\u56FE"
    }
  },
  setup(__props) {
    const props = __props;
    const context = useContext();
    const vuePuzzleVcode = ref();
    const rangeSlider = ref();
    const canvas1 = ref(null);
    const canvas2 = ref(null);
    const canvas3 = ref(null);
    ref(true);
    const canvasWidth = ref(460);
    onMounted(() => {
      canvasWidth.value = vuePuzzleVcode.value?.clientWidth || 460;
    });
    const canvasHeight = computed(() => canvasWidth.value * props.proportion);
    const puzzleScale = computed(() => canvasWidth.value / 460);
    const onlyDebounce = debounce(() => {
      canvasWidth.value = vuePuzzleVcode.value?.clientWidth || 460;
      reset();
    }, 200);
    const { width } = useWindowSize();
    watch(width, onlyDebounce);
    const state = reactive({
      mouseDown: false,
      startWidth: 50,
      startX: 0,
      newX: 0,
      pinX: 0,
      pinY: 0,
      loading: true,
      isCanSlide: false,
      error: false,
      infoBoxShow: false,
      infoText: "",
      infoBoxFail: false,
      timer1: 0,
      closeDown: false,
      isSuccess: false,
      imgIndex: -1
    });
    onMounted(() => {
      document.addEventListener("mousemove", onRangeMouseMove, false);
      document.addEventListener("mouseup", onRangeMouseUp, false);
      document.addEventListener("touchmove", onRangeMouseMove, {
        passive: false
      });
      document.addEventListener("touchend", onRangeMouseUp, false);
      if (props.show) {
        document.body.classList.add("vue-puzzle-overflow");
      }
      reset();
    });
    onUnmounted(() => {
      clearTimeout(state.timer1);
      document.removeEventListener("mousemove", onRangeMouseMove, false);
      document.removeEventListener("mouseup", onRangeMouseUp, false);
      document.removeEventListener("touchmove", onRangeMouseMove, {
        passive: false
      });
      document.removeEventListener("touchend", onRangeMouseUp, false);
    });
    watch(() => props.show, (newV) => {
      if (newV) {
        document.body.classList.add("vue-puzzle-overflow");
        reset();
      } else {
        document.body.classList.remove("vue-puzzle-overflow");
      }
    });
    const styleWidth = computed(() => {
      const w = state.startWidth + state.newX - state.startX;
      return w < sliderBaseSize.value ? sliderBaseSize.value : w > canvasWidth.value ? canvasWidth.value : w;
    });
    const puzzleBaseSize = computed(() => {
      return Math.round(Math.max(Math.min(puzzleScale.value, 2), 0.2) * 52.5 + 6);
    });
    const sliderBaseSize = computed(() => {
      return Math.max(Math.min(Math.round(props.sliderSize), Math.round(canvasWidth.value * 0.5)), 10);
    });
    const onC = () => {
      if (!state.mouseDown) {
        clearTimeout(state.timer1);
        context.emit("close");
      }
    };
    const onCloseMouseDown = () => {
      state.closeDown = true;
    };
    const onCloseMouseUp = () => {
      if (state.closeDown) {
        onC();
      }
      state.closeDown = false;
    };
    const onRangeMouseDown = (e) => {
      if (state.isCanSlide) {
        state.mouseDown = true;
        state.startWidth = rangeSlider?.value?.clientWidth || 0;
        state.newX = e.clientX || e.changedTouches[0].clientX;
        state.startX = e.clientX || e.changedTouches[0].clientX;
      }
    };
    const onRangeMouseMove = (e) => {
      if (state.mouseDown) {
        e.preventDefault();
        state.newX = e.clientX || e.changedTouches[0].clientX;
      }
    };
    const onRangeMouseUp = () => {
      if (state.mouseDown) {
        state.mouseDown = false;
        submit();
      }
    };
    const init = (withCanvas) => {
      state.loading = true;
      state.isCanSlide = false;
      const c = canvas1.value;
      const c2 = canvas2.value;
      const c3 = canvas3.value;
      const ctx = c.getContext("2d");
      const ctx2 = c2.getContext("2d");
      const ctx3 = c3.getContext("2d");
      const img = document.createElement("img");
      ctx.clearRect(0, 0, canvasWidth.value, canvasHeight.value);
      ctx2.clearRect(0, 0, canvasWidth.value, canvasHeight.value);
      state.pinX = getRandom(puzzleBaseSize.value + 20, canvasWidth.value - puzzleBaseSize.value - 10);
      state.pinY = getRandom(20, canvasHeight.value - puzzleBaseSize.value - 10);
      img.crossOrigin = "anonymous";
      img.onload = () => {
        const [x, y, w, h] = makeImgSize(img);
        ctx.save();
        paintBrick(ctx);
        ctx.closePath();
        if (!(navigator.userAgent.indexOf("Firefox") >= 0 && navigator.userAgent.indexOf("Windows") >= 0)) {
          ctx.shadowOffsetX = 0;
          ctx.shadowOffsetY = 0;
          ctx.shadowColor = "#000";
          ctx.shadowBlur = 3;
          ctx.fill();
        }
        ctx.clip();
        ctx.save();
        ctx.shadowOffsetX = 0;
        ctx.shadowOffsetY = 0;
        ctx.shadowColor = "#000";
        ctx.shadowBlur = 2;
        ctx.fill();
        ctx.restore();
        ctx.drawImage(img, x, y, w, h);
        ctx3.drawImage(img, x, y, w, h);
        ctx.globalCompositeOperation = "source-atop";
        paintBrick(ctx);
        ctx.arc(state.pinX + Math.ceil(puzzleBaseSize.value / 2), state.pinY + Math.ceil(puzzleBaseSize.value / 2), puzzleBaseSize.value * 1.2, 0, Math.PI * 2, true);
        ctx.closePath();
        ctx.shadowColor = "rgba(255, 255, 255, .8)";
        ctx.shadowOffsetX = -1;
        ctx.shadowOffsetY = -1;
        ctx.shadowBlur = Math.min(Math.ceil(8 * puzzleScale.value), 12);
        ctx.fillStyle = "#ffffaa";
        ctx.fill();
        const imgData = ctx.getImageData(state.pinX - 3, state.pinY - 20, state.pinX + puzzleBaseSize.value + 5, state.pinY + puzzleBaseSize.value + 5);
        ctx2.putImageData(imgData, 0, state.pinY - 20);
        ctx.restore();
        ctx.clearRect(0, 0, canvasWidth.value, canvasHeight.value);
        ctx.save();
        paintBrick(ctx);
        ctx.globalAlpha = 0.8;
        ctx.fillStyle = "#ffffff";
        ctx.fill();
        ctx.restore();
        ctx.save();
        ctx.globalCompositeOperation = "source-atop";
        paintBrick(ctx);
        ctx.arc(state.pinX + Math.ceil(puzzleBaseSize.value / 2), state.pinY + Math.ceil(puzzleBaseSize.value / 2), puzzleBaseSize.value * 1.2, 0, Math.PI * 2, true);
        ctx.shadowColor = "#000";
        ctx.shadowOffsetX = 2;
        ctx.shadowOffsetY = 2;
        ctx.shadowBlur = 16;
        ctx.fill();
        ctx.restore();
        ctx.save();
        ctx.globalCompositeOperation = "destination-over";
        ctx.drawImage(img, x, y, w, h);
        ctx.restore();
        state.loading = false;
        state.isCanSlide = true;
      };
      img.onerror = () => {
        init(true);
      };
      if (!withCanvas && props.imgs && props.imgs.length) {
        let randomNum = getRandom(0, props.imgs.length - 1);
        if (randomNum === state.imgIndex) {
          if (randomNum === props.imgs.length - 1) {
            randomNum = 0;
          } else {
            randomNum++;
          }
        }
        state.imgIndex = randomNum;
        img.src = props.imgs[randomNum];
      } else {
        img.src = makeImgWithCanvas();
      }
    };
    const getRandom = (min, max) => {
      return Math.ceil(Math.random() * (max - min) + min);
    };
    const makeImgSize = (img) => {
      const imgScale = img.width / img.height;
      const canvasScale = canvasWidth.value / canvasHeight.value;
      let x = 0, y = 0, w = 0, h = 0;
      if (imgScale > canvasScale) {
        h = canvasHeight.value;
        w = imgScale * h;
        y = 0;
        x = (canvasWidth.value - w) / 2;
      } else {
        w = canvasWidth.value;
        h = w / imgScale;
        x = 0;
        y = (canvasHeight.value - h) / 2;
      }
      return [x, y, w, h];
    };
    const paintBrick = (ctx) => {
      const moveL = Math.ceil(15 * puzzleScale.value);
      ctx.beginPath();
      ctx.moveTo(state.pinX, state.pinY);
      ctx.lineTo(state.pinX + moveL, state.pinY);
      ctx.arcTo(state.pinX + moveL, state.pinY - moveL / 2, state.pinX + moveL + moveL / 2, state.pinY - moveL / 2, moveL / 2);
      ctx.arcTo(state.pinX + moveL + moveL, state.pinY - moveL / 2, state.pinX + moveL + moveL, state.pinY, moveL / 2);
      ctx.lineTo(state.pinX + moveL + moveL + moveL, state.pinY);
      ctx.lineTo(state.pinX + moveL + moveL + moveL, state.pinY + moveL);
      ctx.arcTo(state.pinX + moveL + moveL + moveL + moveL / 2, state.pinY + moveL, state.pinX + moveL + moveL + moveL + moveL / 2, state.pinY + moveL + moveL / 2, moveL / 2);
      ctx.arcTo(state.pinX + moveL + moveL + moveL + moveL / 2, state.pinY + moveL + moveL, state.pinX + moveL + moveL + moveL, state.pinY + moveL + moveL, moveL / 2);
      ctx.lineTo(state.pinX + moveL + moveL + moveL, state.pinY + moveL + moveL + moveL);
      ctx.lineTo(state.pinX, state.pinY + moveL + moveL + moveL);
      ctx.lineTo(state.pinX, state.pinY + moveL + moveL);
      ctx.arcTo(state.pinX + moveL / 2, state.pinY + moveL + moveL, state.pinX + moveL / 2, state.pinY + moveL + moveL / 2, moveL / 2);
      ctx.arcTo(state.pinX + moveL / 2, state.pinY + moveL, state.pinX, state.pinY + moveL, moveL / 2);
      ctx.lineTo(state.pinX, state.pinY);
    };
    const makeImgWithCanvas = () => {
      const canvas = document.createElement("canvas");
      const ctx = canvas.getContext("2d");
      if (!ctx)
        return;
      canvas.width = canvasWidth.value;
      canvas.height = canvasHeight.value;
      ctx.fillStyle = `rgb(${getRandom(100, 255)},${getRandom(100, 255)},${getRandom(100, 255)})`;
      ctx.fillRect(0, 0, canvasWidth.value, canvasHeight.value);
      for (let i = 0; i < 12; i++) {
        ctx.fillStyle = `rgb(${getRandom(100, 255)},${getRandom(100, 255)},${getRandom(100, 255)})`;
        ctx.strokeStyle = `rgb(${getRandom(100, 255)},${getRandom(100, 255)},${getRandom(100, 255)})`;
        if (getRandom(0, 2) > 1) {
          ctx.save();
          ctx.rotate(getRandom(-90, 90) * Math.PI / 180);
          ctx.fillRect(getRandom(-20, canvas.width - 20), getRandom(-20, canvas.height - 20), getRandom(10, canvas.width / 2 + 10), getRandom(10, canvas.height / 2 + 10));
          ctx.restore();
        } else {
          ctx.beginPath();
          const ran = getRandom(-Math.PI, Math.PI);
          ctx.arc(getRandom(0, canvas.width), getRandom(0, canvas.height), getRandom(10, canvas.height / 2 + 10), ran, ran + Math.PI * 1.5);
          ctx.closePath();
          ctx.fill();
        }
      }
      return canvas.toDataURL("image/png");
    };
    const submit = () => {
      const x = Math.abs(state.pinX - (styleWidth.value - sliderBaseSize.value) + (puzzleBaseSize.value - sliderBaseSize.value) * ((styleWidth.value - sliderBaseSize.value) / (canvasWidth.value - sliderBaseSize.value)) - 3);
      if (x < props.range) {
        state.infoText = props.successText;
        state.infoBoxFail = false;
        state.infoBoxShow = true;
        state.isCanSlide = false;
        state.isSuccess = true;
        clearTimeout(state.timer1);
        state.timer1 = setTimeout(() => {
          context.emit("success", x);
        }, 800);
      } else {
        state.infoText = props.failText;
        state.infoBoxFail = true;
        state.infoBoxShow = true;
        state.isCanSlide = false;
        context.emit("fail", x);
        clearTimeout(state.timer1);
        state.timer1 = setTimeout(() => {
          reset();
        }, 800);
      }
    };
    const reset = () => {
      state.infoBoxFail = false;
      state.infoBoxShow = false;
      state.isCanSlide = true;
      state.isSuccess = false;
      state.startWidth = sliderBaseSize.value;
      state.startX = 0;
      state.newX = 0;
      init();
    };
    const {
      mouseDown,
      startWidth,
      startX,
      newX,
      pinX,
      pinY,
      loading,
      isCanSlide,
      error,
      infoBoxShow,
      infoText,
      infoBoxFail,
      timer1,
      closeDown,
      isSuccess,
      imgIndex
    } = toRefs(state);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(Fragment, null, [
        createCommentVNode(" \u672C\u4F53\u90E8\u5206 "),
        createVNode("div", {
          ref: vuePuzzleVcode,
          class: ["vue-puzzle-vcode", { show_: __props.show }],
          onMousedown: onCloseMouseDown,
          onMouseup: onCloseMouseUp,
          onTouchstart: onCloseMouseDown,
          onTouchend: onCloseMouseUp
        }, [
          createVNode("div", {
            class: "vue-auth-box_",
            onMousedown: _cache[3] || (_cache[3] = withModifiers(() => {
            }, ["stop"])),
            onTouchstart: _cache[4] || (_cache[4] = withModifiers(() => {
            }, ["stop"]))
          }, [
            createVNode("div", {
              class: "auth-body_",
              style: `height: ${unref(canvasHeight)}px`
            }, [
              createCommentVNode(" \u4E3B\u56FE\uFF0C\u6709\u7F3A\u53E3 "),
              createVNode("canvas", {
                ref: canvas1,
                width: canvasWidth.value,
                height: unref(canvasHeight),
                style: {
                  width: `${canvasWidth.value}px`,
                  height: `${unref(canvasHeight)}px`
                }
              }, null, 12, ["width", "height"]),
              createCommentVNode(" \u6210\u529F\u540E\u663E\u793A\u7684\u5B8C\u6574\u56FE "),
              createVNode("canvas", {
                ref: canvas3,
                class: ["auth-canvas3_", { show: unref(isSuccess) }],
                width: canvasWidth.value,
                height: unref(canvasHeight),
                style: `width:${canvasWidth.value}px;height:${unref(canvasHeight)}px`
              }, null, 14, ["width", "height"]),
              createCommentVNode(" \u5C0F\u56FE "),
              createVNode("canvas", {
                width: unref(puzzleBaseSize),
                class: "auth-canvas2_",
                height: unref(canvasHeight),
                ref: canvas2,
                style: `width:${unref(puzzleBaseSize)}px;height:${unref(canvasHeight)}px;transform:translateX(${unref(styleWidth) - unref(sliderBaseSize) - (unref(puzzleBaseSize) - unref(sliderBaseSize)) * ((unref(styleWidth) - unref(sliderBaseSize)) / (canvasWidth.value - unref(sliderBaseSize)))}px)`
              }, null, 12, ["width", "height"]),
              createVNode("div", {
                class: ["loading-box_", { hide_: !unref(loading) }]
              }, [
                _hoisted_1$b
              ], 2),
              createVNode("div", {
                class: ["info-box_", { show: unref(infoBoxShow) }, { fail: unref(infoBoxFail) }]
              }, toDisplayString(unref(infoText)), 3),
              createVNode("div", {
                class: ["flash_", { show: unref(isSuccess) }],
                style: `transform: translateX(${unref(isSuccess) ? `${canvasWidth.value + unref(canvasHeight) * 0.578}px` : `-${unref(canvasHeight) * 0.578}px`}) skew(-30deg, 0);`
              }, null, 6)
            ], 4),
            createVNode("div", _hoisted_2$9, [
              createVNode("div", {
                class: "range-box",
                style: `height:${unref(sliderBaseSize)}px`
              }, [
                createVNode("div", _hoisted_3$6, toDisplayString(__props.sliderText), 1),
                createVNode("div", {
                  class: "range-slider",
                  ref: rangeSlider,
                  style: `width:${unref(styleWidth) * 0.94}px`
                }, [
                  createVNode("div", {
                    class: ["range-btn", { isDown: unref(mouseDown) }],
                    style: `width:${unref(sliderBaseSize)}px`,
                    onMousedown: _cache[1] || (_cache[1] = ($event) => onRangeMouseDown($event)),
                    onTouchstart: _cache[2] || (_cache[2] = ($event) => onRangeMouseDown($event))
                  }, [
                    _hoisted_4$4,
                    _hoisted_5$3,
                    _hoisted_6$3
                  ], 38)
                ], 4)
              ], 4)
            ])
          ], 32)
        ], 34)
      ], 2112);
    };
  }
});

script$x.__file = "package/components/graphics-verif/src/GraphicsVerif.vue";

const __default__$v = defineComponent({ name: "CalCascader" });
var script$w = defineComponent({
  ...__default__$v,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Cascader), mergeProps({ class: "cal-cascader" }, props), null, 16);
    };
  }
});

script$w.__file = "package/components/cascader/src/Cascader.vue";

const __default__$u = defineComponent({ name: "CalCheckbox" });
var script$v = defineComponent({
  ...__default__$u,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Checkbox), props, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$v.__file = "package/components/checkbox/src/Checkbox.vue";

const __default__$t = defineComponent({ name: "CalCheckboxGroup" });
var script$u = defineComponent({
  ...__default__$t,
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(CheckboxGroup), props, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$u.__file = "package/components/checkbox/src/CalCheckboxGroup.vue";

const _withId$3 = /* @__PURE__ */ withScopeId("data-v-23807036");
pushScopeId("data-v-23807036");
const _hoisted_1$a = { class: "cal-class__container" };
const _hoisted_2$8 = { class: "cal-class__item flex items-center" };
const _hoisted_3$5 = { class: "cal-class__options" };
popScopeId();
const __default__$s = defineComponent({ name: "CalButtonCascader" });
var script$t = defineComponent({
  ...__default__$s,
  props: {
    nestedIndex: {
      type: Number,
      default: 0
    },
    label: String,
    option: {
      type: Object
    },
    fieldNames: {
      type: Object,
      default: { label: "label", value: "value", children: "children" }
    },
    loadData: {
      type: Object,
      default: () => {
        return ({ option }) => option;
      }
    },
    modelValue: {
      type: Array,
      default: []
    }
  },
  emits: ["change"],
  setup(__props, { emit }) {
    const props = __props;
    const options = computed(() => {
      if (Array.isArray(props.option)) {
        return { [props.fieldNames["children"]]: props.option };
      }
      return props.option;
    });
    const source = inject("selects") || useVModel(props, "modelValue");
    const selects = computed({
      get: () => Array.isArray(source.value) ? source.value : [source.value],
      set: (value) => {
        Array.isArray(source.value) ? source.value = value : source.value = value[0];
      }
    });
    if (props.nestedIndex === 0)
      provide("selects", selects);
    const onClickItem = async (item) => {
      const select = selects.value[props.nestedIndex] === item[props.fieldNames["value"]];
      if (select) {
        current.value = void 0;
        selects.value = selects.value.slice(0, props.nestedIndex);
      } else {
        const data = await props.loadData?.({ option: item, nestedIndex: props.nestedIndex });
        current.value = data || cloneDeep(item);
        const value = selects.value.slice(0, props.nestedIndex);
        value.push(item[props.fieldNames["value"]]);
        selects.value = value;
      }
      emit("change", selects.value);
    };
    const current = ref();
    return (_ctx, _cache) => {
      const _component_CalButtonCascader = resolveComponent("CalButtonCascader");
      return openBlock(), createBlock("div", _hoisted_1$a, [
        createVNode("div", _hoisted_2$8, [
          createVNode(script$O, { class: "cal-class__label w-64 mr-10 text-center select-none" }, {
            default: _withId$3(() => [
              createTextVNode(toDisplayString(__props.label || unref(options)?.[__props.fieldNames["label"]]), 1)
            ]),
            _: 1
          }),
          createVNode("div", _hoisted_3$5, [
            (openBlock(true), createBlock(Fragment, null, renderList(unref(options)?.[__props.fieldNames["children"]], (item, index) => {
              return openBlock(), createBlock("div", {
                class: ["\r\n            mx-12\r\n            px-24\r\n            py-6\r\n            rounded-3xl\r\n            inline-block\r\n            cursor-pointer\r\n            transition-colors\r\n            duration-300\r\n            min-w-80\r\n          ", [
                  unref(selects)[__props.nestedIndex] === item?.[__props.fieldNames["value"]] ? "text-classification-selected-text-color bg-classification-selected-body-color" : "bg-classification-not-selected-body-color text-classification-not-selected-text-color"
                ]],
                key: index,
                onClick: ($event) => onClickItem(item)
              }, toDisplayString(item[__props.fieldNames["label"]]), 11, ["onClick"]);
            }), 128))
          ])
        ]),
        current.value?.[__props.fieldNames["children"]]?.length && Array.isArray(unref(source)) ? (openBlock(), createBlock(_component_CalButtonCascader, {
          key: 0,
          "nested-index": __props.nestedIndex + 1,
          option: current.value,
          loadData: __props.loadData,
          fieldNames: __props.fieldNames,
          onChange: _cache[1] || (_cache[1] = ($event) => emit("change", $event))
        }, null, 8, ["nested-index", "option", "loadData", "fieldNames"])) : createCommentVNode("v-if", true)
      ]);
    };
  }
});

script$t.__scopeId = "data-v-23807036";
script$t.__file = "package/components/button/src/ButtonCascader.vue";

const __default__$r = defineComponent({ name: "CalNestedSortTable" });
var script$s = defineComponent({
  ...__default__$r,
  props: {
    modelValue: {
      type: Array,
      required: true
    },
    nestedIndex: {
      type: Number,
      default: 0
    },
    isDrag: {
      type: Boolean,
      default: true
    },
    handle: String
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const slots = useSlots();
    const showHeader = !!slots.header;
    const tableItems = computed({
      get: () => props.modelValue,
      set: (value) => emit("update:modelValue", value)
    });
    const resetTableItem = (array) => {
      array.forEach((item) => {
        if (Array.isArray(item.children)) {
          resetTableItem(item.children);
        }
        if (!item["CACHE_TABLE_ITEM_KEY"]) {
          item["CACHE_TABLE_ITEM_KEY"] = nanoid(10);
        }
      });
    };
    watch(() => tableItems.value.length, () => resetTableItem(tableItems.value));
    const sortableContainer = ref();
    onMounted(() => {
      if (!sortableContainer.value || !props.isDrag)
        return false;
      Sortable.create(sortableContainer.value, {
        animation: 500,
        handle: props.handle,
        onMove: () => {
        },
        onEnd: (event) => {
          setTimeout(() => {
            if (typeof event.oldIndex === "undefined")
              return;
            if (typeof event.newIndex === "undefined")
              return;
            const oldViewItem = tableItems.value[event.oldIndex];
            const newViewItem = tableItems.value[event.newIndex];
            if (!(oldViewItem?.preventMove || newViewItem?.preventMove)) {
              const temp = tableItems.value.splice(event.oldIndex, 1)[0];
              tableItems.value.splice(event.newIndex, 0, temp);
            }
          }, 400);
        }
      });
    });
    return (_ctx, _cache) => {
      const _component_cal_nested_sort_table = resolveComponent("cal-nested-sort-table");
      return openBlock(), createBlock("div", {
        class: [__props.nestedIndex ? `nested-sort-table-${__props.nestedIndex}` : "nested-sort-table"]
      }, [
        showHeader ? renderSlot(_ctx.$slots, "header", { key: 0 }) : createCommentVNode("v-if", true),
        createVNode("div", {
          class: "table-list",
          ref: sortableContainer
        }, [
          (openBlock(true), createBlock(Fragment, null, renderList(unref(tableItems), (item, index) => {
            return openBlock(), createBlock("div", {
              class: "table-item",
              key: item.CACHE_TABLE_ITEM_KEY
            }, [
              renderSlot(_ctx.$slots, "item", {
                nestedIndex: __props.nestedIndex,
                items: unref(tableItems),
                item,
                index
              }),
              createCommentVNode(' <div class="strip"></div> '),
              createCommentVNode("  \u9012\u5F52\u4F20\u9012\u591A\u5C42\u5217\u8868, \u5C06 children \u4F20\u5165"),
              item?.children?.length ? withDirectives((openBlock(), createBlock(_component_cal_nested_sort_table, {
                key: 0,
                modelValue: item.children,
                "onUpdate:modelValue": ($event) => item.children = $event,
                "nested-index": __props.nestedIndex + 1,
                isDrag: __props.isDrag
              }, {
                item: withCtx(({ nestedIndex, items, item: item2, index: index2 }) => [
                  renderSlot(_ctx.$slots, "item", {
                    nestedIndex,
                    items,
                    item: item2,
                    index: index2
                  })
                ]),
                _: 2
              }, 1032, ["modelValue", "onUpdate:modelValue", "nested-index", "isDrag"])), [
                [vShow, !item.hideChildren]
              ]) : createCommentVNode("v-if", true)
            ]);
          }), 128))
        ], 512)
      ], 2);
    };
  }
});

script$s.__file = "package/components/nested-sort-table/src/NestedSortTable.vue";

// Copy from vite/src/client/vueJsxCompat.ts

const slice = Array.prototype.slice;

function vueJsxCompat(tag, props = null, children = null) {
  if (arguments.length > 3 || isVNode(children)) {
    children = slice.call(arguments, 2);
  }
  return createVNode(tag, props, children);
}

const __default__$q = defineComponent({ name: "CalNestedSortTableCard" });
var script$r = defineComponent({
  ...__default__$q,
  props: {
    modelValue: {
      type: Array,
      required: true
    },
    nestedIndex: {
      type: Number,
      default: 0
    },
    isDrag: {
      type: Boolean,
      default: true
    },
    handle: String
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const slots = useSlots();
    !!slots.header;
    const tableItems = computed({
      get: () => props.modelValue,
      set: (value) => emit("update:modelValue", value)
    });
    const resetTableItem = (array) => {
      array.forEach((item) => {
        if (Array.isArray(item.children)) {
          resetTableItem(item.children);
        }
        if (!item["CACHE_TABLE_ITEM_KEY"]) {
          item["CACHE_TABLE_ITEM_KEY"] = nanoid(10);
        }
      });
    };
    watch(() => tableItems.value.length, () => resetTableItem(tableItems.value));
    const sortableContainer = ref();
    onMounted(() => {
      if (!sortableContainer.value || !props.isDrag)
        return false;
      Sortable.create(sortableContainer.value, {
        animation: 500,
        handle: props.handle,
        onMove: () => {
        },
        onEnd: (event) => {
          setTimeout(() => {
            if (typeof event.oldIndex === "undefined")
              return;
            if (typeof event.newIndex === "undefined")
              return;
            const oldViewItem = tableItems.value[event.oldIndex];
            const newViewItem = tableItems.value[event.newIndex];
            if (!(oldViewItem?.preventMove || newViewItem?.preventMove)) {
              const temp = tableItems.value.splice(event.oldIndex, 1)[0];
              tableItems.value.splice(event.newIndex, 0, temp);
            }
          }, 400);
        }
      });
    });
    const CardContainer = defineComponent({
      props: {
        hide: Boolean
      },
      setup(props2, { slots: slots2 }) {
        return () => props2.hide ? /* @__PURE__ */ vueJsxCompat(Fragment, null, " ", slots2["default"]?.(), " ") : /* @__PURE__ */ vueJsxCompat(script$y, {
          class: "mb-10",
          "left-border": true
        }, slots2["header"]?.(), slots2["default"]?.());
      }
    });
    return (_ctx, _cache) => {
      const _component_cal_nested_sort_table_card = resolveComponent("cal-nested-sort-table-card");
      return openBlock(), createBlock("div", {
        class: [__props.nestedIndex ? `nested-sort-table-${__props.nestedIndex}` : "nested-sort-table"]
      }, [
        createVNode("div", {
          class: "table-list",
          ref: sortableContainer
        }, [
          (openBlock(true), createBlock(Fragment, null, renderList(unref(tableItems), (item, index) => {
            return openBlock(), createBlock("div", {
              class: "table-item",
              key: item.CACHE_TABLE_ITEM_KEY
            }, [
              createVNode(unref(CardContainer), {
                hide: !!__props.nestedIndex
              }, {
                header: withCtx(() => [
                  renderSlot(_ctx.$slots, "header")
                ]),
                default: withCtx(() => [
                  renderSlot(_ctx.$slots, "item", {
                    nestedIndex: __props.nestedIndex,
                    items: unref(tableItems),
                    item,
                    index
                  }),
                  item?.children?.length ? withDirectives((openBlock(), createBlock(_component_cal_nested_sort_table_card, {
                    key: 0,
                    modelValue: item.children,
                    "onUpdate:modelValue": ($event) => item.children = $event,
                    "nested-index": __props.nestedIndex + 1,
                    isDrag: __props.isDrag
                  }, {
                    item: withCtx(({ nestedIndex, items, item: item2, index: index2 }) => [
                      renderSlot(_ctx.$slots, "item", {
                        nestedIndex,
                        items,
                        item: item2,
                        index: index2
                      })
                    ]),
                    _: 2
                  }, 1032, ["modelValue", "onUpdate:modelValue", "nested-index", "isDrag"])), [
                    [vShow, !item.hideChildren]
                  ]) : createCommentVNode("v-if", true)
                ]),
                _: 2
              }, 1032, ["hide"])
            ]);
          }), 128))
        ], 512)
      ], 2);
    };
  }
});

script$r.__file = "package/components/nested-sort-table/src/NestedSortTableCard.vue";

const __default__$p = defineComponent({ name: "CalEmpty" });
var script$q = defineComponent({
  ...__default__$p,
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Empty), props, null, 16);
    };
  }
});

script$q.__file = "package/components/empty/src/Empty.vue";

const __default__$o = defineComponent({ name: "CalDragFile" });
var script$p = defineComponent({
  ...__default__$o,
  emits: ["change"],
  setup(__props, { emit }) {
    const isOver = ref(false);
    const onInterceptFile = (event) => {
      const files = Object.values(event.dataTransfer.files);
      isOver.value = false;
      emit("change", files);
      event.preventDefault();
    };
    const selectFiles$1 = async (option) => {
      const files = await selectFiles(option);
      emit("change", files);
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "file-drag",
        onDragenter: _cache[1] || (_cache[1] = ($event) => isOver.value = true),
        onDragleave: _cache[2] || (_cache[2] = ($event) => isOver.value = false),
        onDragover: _cache[3] || (_cache[3] = withModifiers(() => {
        }, ["prevent"])),
        onDrop: onInterceptFile
      }, [
        renderSlot(_ctx.$slots, "default", {
          isOver: isOver.value,
          selectFiles: selectFiles$1
        })
      ], 32);
    };
  }
});

script$p.__file = "package/components/drag/src/DragFile.vue";

const _hoisted_1$9 = /* @__PURE__ */ createTextVNode("5\u6761/\u9875");
const _hoisted_2$7 = /* @__PURE__ */ createTextVNode("10\u6761/\u9875");
const _hoisted_3$4 = /* @__PURE__ */ createTextVNode("15\u6761/\u9875");
const _hoisted_4$3 = /* @__PURE__ */ createTextVNode("30\u6761/\u9875");
const _hoisted_5$2 = /* @__PURE__ */ createTextVNode("50\u6761/\u9875");
const _hoisted_6$2 = /* @__PURE__ */ createTextVNode("100\u6761/\u9875");
const __default__$n = defineComponent({ name: "CalPageSelect" });
var script$o = defineComponent({
  ...__default__$n,
  props: {
    modelValue: {
      type: [String, Number],
      default: 10
    },
    width: {
      type: [Number, String],
      default: 116
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const inputValue = computed({
      get: () => props.modelValue ? props.modelValue : void 0,
      set(value) {
        emit("update:modelValue", value);
      }
    });
    useTheme("Common");
    useTheme("PageSelect");
    return (_ctx, _cache) => {
      const _component_a_select_option = resolveComponent("a-select-option");
      const _component_a_select = resolveComponent("a-select");
      return openBlock(), createBlock(_component_a_select, mergeProps({
        class: "cal-page-select",
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null),
        dropdownClassName: "cal-page-select-option "
      }, props, {
        style: { width: unref(analyUnit)(__props.width) }
      }), {
        default: withCtx(() => [
          createVNode(_component_a_select_option, { value: 5 }, {
            default: withCtx(() => [
              _hoisted_1$9
            ]),
            _: 1
          }),
          createVNode(_component_a_select_option, { value: 10 }, {
            default: withCtx(() => [
              _hoisted_2$7
            ]),
            _: 1
          }),
          createVNode(_component_a_select_option, { value: 15 }, {
            default: withCtx(() => [
              _hoisted_3$4
            ]),
            _: 1
          }),
          createVNode(_component_a_select_option, { value: 30 }, {
            default: withCtx(() => [
              _hoisted_4$3
            ]),
            _: 1
          }),
          createVNode(_component_a_select_option, { value: 50 }, {
            default: withCtx(() => [
              _hoisted_5$2
            ]),
            _: 1
          }),
          createVNode(_component_a_select_option, { value: 100 }, {
            default: withCtx(() => [
              _hoisted_6$2
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 16, ["value", "style"]);
    };
  }
});

script$o.__file = "package/components/page-select/src/PageSelect.vue";

const __default__$m = defineComponent({ name: "CalPagination" });
var script$n = defineComponent({
  ...__default__$m,
  props: {
    modelValue: Number
  },
  setup(__props) {
    const props = __props;
    const modelValue = useVModel(props, "modelValue");
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Pagination), mergeProps({ class: "cal-pagination" }, props, {
        current: unref(modelValue),
        "onUpdate:current": _cache[1] || (_cache[1] = ($event) => isRef(modelValue) ? modelValue.value = $event : null)
      }), null, 16, ["current"]);
    };
  }
});

script$n.__file = "package/components/pagination/src/Pagination.vue";

const _withId$2 = /* @__PURE__ */ withScopeId("data-v-6927cd5a");
const __default__$l = defineComponent({ name: "CalRadio" });
var script$m = defineComponent({
  ...__default__$l,
  props: {
    value: String,
    label: String
  },
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Radio), mergeProps({ class: "cal-radio" }, props, {
        value: __props.value || __props.label
      }), {
        default: _withId$2(() => [
          _ctx.$slots["default"] ? renderSlot(_ctx.$slots, "default", { key: 0 }) : (openBlock(), createBlock(Fragment, { key: 1 }, [
            createTextVNode(toDisplayString(__props.label), 1)
          ], 2112))
        ]),
        _: 3
      }, 16, ["value"]);
    };
  }
});

script$m.__scopeId = "data-v-6927cd5a";
script$m.__file = "package/components/radio/src/Radio.vue";

const __default__$k = defineComponent({ name: "CalRadioGroup" });
var script$l = defineComponent({
  ...__default__$k,
  props: {
    modelValue: [String, Number]
  },
  setup(__props) {
    const props = __props;
    const value = useVModel(props, "modelValue");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(RadioGroup), {
        class: "cal-radio-group",
        value: unref(value),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(value) ? value.value = $event : null)
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 8, ["value"]);
    };
  }
});

script$l.__file = "package/components/radio/src/RadioGroup.vue";

const __default__$j = defineComponent({ name: "CalRadioButton" });
var script$k = defineComponent({
  ...__default__$j,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(RadioButton), mergeProps(props, { class: "cal-radios-button" }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$k.__file = "package/components/radio/src/RadioButton.vue";

const __default__$i = defineComponent({ name: "CalStep" });
var script$j = defineComponent({
  ...__default__$i,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Step), mergeProps({ class: "cal-step" }, props), {
        icon: withCtx(() => [
          createCommentVNode(' <i class="nr-after text-4xl" /> '),
          createVNode(script$15, {
            class: "after",
            type: "step-highlight",
            size: "40"
          }),
          createVNode(script$15, {
            class: "step-await text-common-primary-color-light-4 transform translate-y-2",
            type: "step-not",
            size: "40"
          }),
          createCommentVNode(' <i class="nr-step-await text-common-primary-color-light-4" style="font-size: 40px" /> ')
        ]),
        description: withCtx(() => [
          renderSlot(_ctx.$slots, "description")
        ]),
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$j.__file = "package/components/step/src/Step.vue";

const __default__$h = defineComponent({ name: "CalSteps" });
var script$i = defineComponent({
  ...__default__$h,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Steps), mergeProps({ class: "cal-steps" }, props), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$i.__file = "package/components/step/src/Steps.vue";

const __default__$g = defineComponent({ name: "CalSwitch" });
var script$h = defineComponent({
  ...__default__$g,
  props: {
    modelValue: [String, Number, Boolean],
    activeValue: {
      type: [String, Number, Boolean],
      default: 1
    },
    closeValue: {
      type: [String, Number, Boolean],
      default: 0
    }
  },
  emits: ["update:modelValue", "change"],
  setup(__props, { emit }) {
    const props = __props;
    const switchValue = computed({
      get: () => {
        return props.modelValue == props.activeValue;
      },
      set: (value) => {
        if (value) {
          emit("update:modelValue", props.activeValue);
        } else {
          emit("update:modelValue", props.closeValue);
        }
      }
    });
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Switch), mergeProps({ class: "cal-switch" }, props, {
        checked: unref(switchValue),
        "onUpdate:checked": _cache[1] || (_cache[1] = ($event) => isRef(switchValue) ? switchValue.value = $event : null),
        onChange: _cache[2] || (_cache[2] = ($event) => emit("change", $event ? __props.activeValue : __props.closeValue))
      }), null, 16, ["checked"]);
    };
  }
});

script$h.__file = "package/components/switch/src/Switch.vue";

var script$g = defineComponent({
  props: {
    item: Object,
    index: Number
  },
  setup(__props) {
    const props = __props;
    provide("itemObject", { item: props.item, index: props.index });
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

script$g.__file = "package/components/table/src/TableProvide.vue";

const _withId$1 = /* @__PURE__ */ withScopeId("data-v-489a4e40");
pushScopeId("data-v-489a4e40");
const _hoisted_1$8 = { class: "table-container" };
const _hoisted_2$6 = {
  key: 0,
  class: "py-24 mx-24 border-b flex",
  style: { "border-color": "#f5f5f5" }
};
const _hoisted_3$3 = {
  key: 0,
  class: "px-20 flex items-center"
};
const _hoisted_4$2 = { class: "flex-1" };
const _hoisted_5$1 = { class: "flex py-24 overflow-auto" };
const _hoisted_6$1 = /* @__PURE__ */ createVNode("div", { class: "w-4" }, null, -1);
const _hoisted_7$1 = {
  key: 0,
  class: "px-20 flex items-center"
};
popScopeId();
const __default__$f = defineComponent({ name: "CalTable" });
var script$f = defineComponent({
  ...__default__$f,
  props: {
    marginBottom: {
      type: [Number, String],
      default: 10
    },
    minWidth: {
      type: [String, Number],
      default: "none"
    },
    list: {
      type: Array,
      default: [{}]
    },
    textAlign: {
      type: String,
      default: "left"
    },
    contentAlign: {
      type: String,
      default: "left"
    },
    select: {
      type: Boolean,
      default: false
    },
    selectPosition: {
      type: String,
      default: "center"
    },
    selectAll: {
      type: Boolean,
      default: false
    },
    space: {
      type: [Number, String],
      default: 24
    },
    syncSpace: Boolean
  },
  emits: ["checkboxChange", "itemClick", "update:selectAll"],
  setup(__props, { emit }) {
    const props = __props;
    const slots = useSlots();
    ref(false);
    const selectAll = useVModel(props, "selectAll");
    watch(selectAll, (value) => {
      if (value) {
        fictitiousList.value.forEach((item) => {
          item.CACHE_SELECT_TABLE = value;
        });
      } else {
        const currentAllSelect = !fictitiousList.value.some((item) => !item.CACHE_SELECT_TABLE);
        if (currentAllSelect) {
          fictitiousList.value.forEach((item) => {
            item.CACHE_SELECT_TABLE = value;
          });
        }
      }
      checkboxChange();
    });
    const onCheckboxChange = (item, { target: { checked } }) => {
      item.CACHE_SELECT_TABLE = checked;
      emit("update:selectAll", !fictitiousList.value.some((item2) => !item2.CACHE_SELECT_TABLE));
      checkboxChange();
    };
    const checkboxChange = debounce(() => {
      emit("checkboxChange", fictitiousList.value.filter((item) => item.CACHE_SELECT_TABLE));
    }, 50);
    const updateList = () => {
      return props.list.map((item) => {
        return {
          ...item,
          CACHE_ID_TABLE: item.CACHE_ID_TABLE ? item.CACHE_ID_TABLE : nanoid(5),
          CACHE_SELECT_TABLE: !!item.select,
          CACHE_OLD_ITEM_TABLE: item
        };
      });
    };
    const listOrder = () => {
      if (controller.value.order.sort !== 0) {
        return orderBy(fictitiousList.value, [controller.value.order.index], [controller.value.order.sort === 1 ? "asc" : "desc"]);
      }
      return fictitiousShowList.value;
    };
    const fictitiousList = ref(updateList());
    const fictitiousShowList = ref(updateList());
    const controller = ref({ order: { index: "", sort: 0 }, renderList: false });
    watch(() => props.list, () => {
      fictitiousShowList.value = fictitiousList.value = updateList();
      fictitiousList.value = listOrder();
    }, {
      deep: true
    });
    watch(() => controller.value.order.sort, () => fictitiousList.value = listOrder());
    provide("controller", controller);
    provide("option", props);
    useTheme("Common");
    return (_ctx, _cache) => {
      const _component_cal_checkbox = resolveComponent("cal-checkbox");
      const _component_cal_empty = resolveComponent("cal-empty");
      return openBlock(), createBlock("div", _hoisted_1$8, [
        (openBlock(true), createBlock(Fragment, null, renderList(fictitiousList.value, (item, index) => {
          return openBlock(), createBlock("div", {
            key: item.CACHE_ID_TABLE,
            class: "table-view",
            style: { marginBottom: unref(analyUnit)(__props.marginBottom) },
            onClick: ($event) => emit("itemClick", item)
          }, [
            createCommentVNode(" \u5934\u90E8\u5185\u5BB9 "),
            unref(slots)["header"] ? (openBlock(), createBlock("div", _hoisted_2$6, [
              __props.select && __props.selectPosition === "top" ? (openBlock(), createBlock("div", _hoisted_3$3, [
                createVNode(_component_cal_checkbox, {
                  onChange: ($event) => onCheckboxChange(item, $event),
                  checked: item.CACHE_SELECT_TABLE,
                  "onUpdate:checked": ($event) => item.CACHE_SELECT_TABLE = $event
                }, null, 8, ["onChange", "checked", "onUpdate:checked"])
              ])) : createCommentVNode("v-if", true),
              createCommentVNode(" \u5934\u5185\u5BB9 "),
              createVNode("div", _hoisted_4$2, [
                renderSlot(_ctx.$slots, "header", {
                  item,
                  index
                })
              ])
            ])) : createCommentVNode("v-if", true),
            createVNode("div", _hoisted_5$1, [
              _hoisted_6$1,
              __props.select && __props.selectPosition === "center" ? (openBlock(), createBlock("div", _hoisted_7$1, [
                createVNode(_component_cal_checkbox, {
                  onChange: ($event) => onCheckboxChange(item, $event),
                  checked: item.CACHE_SELECT_TABLE,
                  "onUpdate:checked": ($event) => item.CACHE_SELECT_TABLE = $event
                }, null, 8, ["onChange", "checked", "onUpdate:checked"])
              ])) : createCommentVNode("v-if", true),
              createVNode("div", {
                class: "flex flex-1",
                style: { minWidth: __props.minWidth }
              }, [
                createVNode(script$g, {
                  item: item.CACHE_OLD_ITEM_TABLE,
                  index
                }, {
                  default: _withId$1(() => [
                    renderSlot(_ctx.$slots, "default")
                  ]),
                  _: 2
                }, 1032, ["item", "index"])
              ], 4)
            ])
          ], 12, ["onClick"]);
        }), 128)),
        !fictitiousList.value.length ? (openBlock(), createBlock(_component_cal_empty, {
          key: 0,
          class: "mt-160"
        })) : createCommentVNode("v-if", true)
      ]);
    };
  }
});

script$f.__scopeId = "data-v-489a4e40";
script$f.__file = "package/components/table/src/Table.vue";

const _withId = /* @__PURE__ */ withScopeId("data-v-7fda1255");
pushScopeId("data-v-7fda1255");
const _hoisted_1$7 = { key: 0 };
popScopeId();
const __default__$e = defineComponent({ name: "CalTableOption" });
var script$e = defineComponent({
  ...__default__$e,
  props: {
    minWidth: {
      type: [String, Number],
      default: 80
    },
    maxWidth: {
      type: [String, Number],
      default: "none"
    },
    title: String,
    sort: Boolean,
    index: String,
    borderLeft: Boolean,
    borderRight: Boolean,
    type: {
      type: String,
      default: "data"
    }
  },
  setup(__props) {
    const props = __props;
    const slots = useSlots();
    const { item, index } = inject("itemObject");
    const listObject = inject("listObject");
    const option = inject("option");
    const controller = inject("controller");
    const showContent = computed(() => get(item, props.index || props.title || ""));
    if (props.type === "list")
      provide("listObject", showContent.value);
    const isCurrentIndex = () => {
      const isIndex = controller?.value?.order?.index === props.index;
      const isTitle = controller?.value?.order?.index === props.title;
      return isIndex || isTitle;
    };
    const sortState = computed({
      get() {
        return isCurrentIndex() ? controller.value.order.sort : 0;
      },
      set(sort) {
        if (isCurrentIndex()) {
          controller.value.order.sort = sort;
        } else {
          controller.value.order.index = props.index || props.title;
          controller.value.order.sort = 1;
        }
      }
    });
    useTheme("Table");
    useCssVars(() => ({ "table-within-space": analyUnit(option.space) }));
    return (_ctx, _cache) => {
      const _component_cal_theme_icon = resolveComponent("cal-theme-icon");
      return __props.type !== "list" ? (openBlock(), createBlock("div", {
        key: 0,
        class: "table-option-container",
        style: {
          maxWidth: unref(option)?.syncSpace ? `calc(${unref(analyUnit)(__props.maxWidth || "")} + (${unref(analyUnit)(unref(option).space)} * 2))` : unref(analyUnit)(__props.maxWidth || ""),
          minWidth: unref(option)?.syncSpace ? `calc(${unref(analyUnit)(__props.minWidth || "")} + (${unref(analyUnit)(unref(option).space)} * 2))` : unref(analyUnit)(__props.minWidth || ""),
          flex: 1,
          paddingLeft: unref(analyUnit)(unref(option).space),
          paddingRight: unref(analyUnit)(unref(option).space),
          borderLeft: props.borderLeft ? "solid 1px #F5F5F5" : "none",
          borderRight: props.borderRight ? "solid 1px #F5F5F5" : "none"
        }
      }, [
        createVNode("div", {
          class: ["w-full text-gray-darkmin cursor-pointer select-none mb-24", [unref(option).textAlign === "left" ? "text-left" : "text-center"]]
        }, [
          !__props.sort ? (openBlock(), createBlock("span", _hoisted_1$7, toDisplayString(__props.title), 1)) : (openBlock(), createBlock(_component_cal_theme_icon, {
            key: 1,
            type: "sortArrow",
            modelValue: unref(sortState),
            "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => isRef(sortState) ? sortState.value = $event : null)
          }, {
            default: _withId(() => [
              createVNode("span", null, toDisplayString(__props.title), 1)
            ]),
            _: 1
          }, 8, ["modelValue"]))
        ], 2),
        createVNode("div", {
          class: "flex flex-1 flex-col w-full justify-center list-border",
          ":class": [unref(option).contentAlign === "left" ? "" : "items-center"]
        }, [
          unref(listObject) ? (openBlock(true), createBlock(Fragment, { key: 0 }, renderList(unref(listObject), (item2, i) => {
            return openBlock(), createBlock("div", {
              class: "item-border",
              key: i.toString()
            }, [
              unref(slots)["default"] ? renderSlot(_ctx.$slots, "default", {
                key: 0,
                content: item2[props.index || props.title || ""],
                item: item2,
                index: i,
                list: unref(listObject)
              }) : (openBlock(), createBlock(Fragment, { key: 1 }, [
                createTextVNode(toDisplayString(item2[props.index || props.title || ""]), 1)
              ], 2112))
            ]);
          }), 128)) : unref(slots)["default"] ? renderSlot(_ctx.$slots, "default", {
            key: 1,
            content: unref(showContent),
            item: unref(item),
            index: unref(index),
            list: unref(option).list
          }) : (openBlock(), createBlock(Fragment, { key: 2 }, [
            createTextVNode(toDisplayString(unref(showContent)), 1)
          ], 2112))
        ], 8, [":class"])
      ], 4)) : unref(slots)["default"] ? (openBlock(), createBlock("div", {
        key: 1,
        class: "flex border-style-release",
        style: {
          maxWidth: unref(option)?.syncSpace ? `calc(${unref(analyUnit)(__props.maxWidth || "")} + (${unref(analyUnit)(unref(option).space)} * 2))` : unref(analyUnit)(__props.maxWidth || ""),
          minWidth: unref(option)?.syncSpace ? `calc(${unref(analyUnit)(__props.minWidth || "")} + (${unref(analyUnit)(unref(option).space)} * 2))` : unref(analyUnit)(__props.minWidth || ""),
          flex: 1,
          paddingLeft: unref(analyUnit)(unref(option).space),
          paddingRight: unref(analyUnit)(unref(option).space),
          borderLeft: props.borderLeft ? "solid 1px #F5F5F5" : "none",
          borderRight: props.borderRight ? "solid 1px #F5F5F5" : "none"
        }
      }, [
        renderSlot(_ctx.$slots, "default", {
          content: unref(showContent),
          item: unref(item),
          index: unref(index),
          list: unref(option).list
        })
      ], 4)) : (openBlock(), createBlock(Fragment, { key: 2 }, [
        createTextVNode(toDisplayString(unref(showContent)), 1)
      ], 2112));
    };
  }
});

script$e.__scopeId = "data-v-7fda1255";
script$e.__file = "package/components/table/src/TableOption.vue";

const __default__$d = defineComponent({ name: "CalTabs" });
var script$d = defineComponent({
  ...__default__$d,
  props: {
    hideTab: Boolean
  },
  setup(__props) {
    const props = __props;
    provide("hideTab", props.hideTab);
    useTheme("Common");
    useTheme("Tabs");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Tabs$1), mergeProps({ class: "cal-tabs" }, props, { animated: false }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$d.__file = "package/components/tabs/src/Tabs.vue";

const _hoisted_1$6 = { class: "cal-tab-pane__content flex-1" };
const _hoisted_2$5 = { class: "cal-tab-pane__sticky" };
const _hoisted_3$2 = { class: "cal-tab-pane__content flex-1" };
const _hoisted_4$1 = { class: "cal-tab-pane__sticky" };
const __default__$c = defineComponent({ name: "CalTabPane" });
var script$c = defineComponent({
  ...__default__$c,
  props: {
    alone: Boolean,
    hide: Boolean,
    minHeight: [Number, String]
  },
  setup(__props) {
    const props = __props;
    const ATabPane = Tabs$1.TabPane;
    const isHide = computed(() => inject("hideTab") || props.hide);
    return (_ctx, _cache) => {
      return __props.alone ? (openBlock(), createBlock("div", {
        key: 0,
        class: "cal-tab-pane bg-tabs-background-color p-24 flex flex-col",
        style: { minHeight: unref(analyUnit)(__props.minHeight || "") }
      }, [
        createVNode("div", _hoisted_1$6, [
          renderSlot(_ctx.$slots, "default")
        ]),
        createVNode("div", _hoisted_2$5, [
          renderSlot(_ctx.$slots, "sticky")
        ])
      ], 4)) : !unref(isHide) ? (openBlock(), createBlock(unref(ATabPane), mergeProps({
        key: 1,
        class: "cal-tab-pane bg-tabs-background-color p-24 flex flex-col",
        style: { minHeight: unref(analyUnit)(__props.minHeight || "") }
      }, props), {
        tab: withCtx(() => [
          renderSlot(_ctx.$slots, "tab")
        ]),
        default: withCtx(() => [
          createVNode("div", _hoisted_3$2, [
            renderSlot(_ctx.$slots, "default")
          ]),
          createVNode("div", _hoisted_4$1, [
            renderSlot(_ctx.$slots, "sticky")
          ])
        ]),
        _: 3
      }, 16, ["style"])) : createCommentVNode("v-if", true);
    };
  }
});

script$c.__file = "package/components/tabs/src/TabPane.vue";

const __default__$b = defineComponent({ name: "CalTextarea" });
var script$b = defineComponent({
  ...__default__$b,
  props: {
    modelValue: [String, Number]
  },
  setup(__props) {
    const props = __props;
    const ATextarea = Input$1.TextArea;
    const inputValue = useVModel(props, "modelValue");
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ATextarea), mergeProps({ class: "cal-textarea" }, props, {
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null)
      }), null, 16, ["value"]);
    };
  }
});

script$b.__file = "package/components/textarea/src/Textarea.vue";

const __default__$a = defineComponent({ name: "CalTree" });
var script$a = defineComponent({
  ...__default__$a,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Tree), props, null, 16);
    };
  }
});

script$a.__file = "package/components/tree/src/Tree.vue";

const _hoisted_1$5 = { class: "cal-upload-box w-1/2 bg-upload-bg-color" };
const _hoisted_2$4 = { class: "border-dashed border-2 border-common-primary-color-light-6" };
const _hoisted_3$1 = { class: "text-center py-24" };
const _hoisted_4 = { class: "text-common-primary-color text-sm" };
const _hoisted_5 = /* @__PURE__ */ createTextVNode("\u9009\u62E9\u6587\u4EF6");
const _hoisted_6 = /* @__PURE__ */ createTextVNode(" \u63D0\u4EA4 ");
const _hoisted_7 = /* @__PURE__ */ createTextVNode(" \u4E0B\u8F7DExcel\u6A21\u677F ");
const _hoisted_8 = /* @__PURE__ */ createTextVNode(" \u5FEB\u9012\u516C\u53F8\u5BF9\u7167\u6A21\u677F ");
const __default__$9 = defineComponent({ name: "CalUpload" });
var script$9 = defineComponent({
  ...__default__$9,
  props: {
    isExpress: {
      type: Boolean,
      default: false
    }
  },
  emits: ["uploadFile", "downloadTemplate", "downloadExpress"],
  setup(__props, { emit }) {
    const fileList = ref();
    const handleChange = (info) => {
      let newFileList = [...info.fileList];
      newFileList = newFileList.slice(-1);
      newFileList = newFileList.map((file) => {
        if (file.response) {
          file.url = file.response.url;
        }
        return file;
      });
      fileList.value = newFileList;
    };
    const beforeUpload = (file) => {
      return new Promise((resolve, reject) => {
        const testmsg = file.name.substring(file.name.lastIndexOf(".") + 1);
        const extension = testmsg == "xlsx" || testmsg == "xls";
        if (!extension) {
          message.error("\u8BF7\u4E0A\u4F20xlsx\u6216\u8005xls\u7684\u683C\u5F0F!");
          return reject(false);
        }
        return resolve(true);
      });
    };
    const submitForm = () => {
      if (fileList.value.length) {
        emit("uploadFile", fileList.value);
      } else {
        message.error("\u8BF7\u5148\u4E0A\u4F20\u6587\u4EF6\uFF01");
      }
    };
    useTheme("upload");
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$5, [
        createVNode("div", _hoisted_2$4, [
          createVNode(unref(Upload), {
            name: "file",
            "file-list": fileList.value,
            action: "https://www.mocky.io/v2/5cc8019d300000980a055e76",
            onChange: handleChange,
            "before-upload": beforeUpload,
            accept: ".xls, .xlsx"
          }, {
            default: withCtx(() => [
              createVNode("div", _hoisted_3$1, [
                createVNode("div", _hoisted_4, [
                  renderSlot(_ctx.$slots, "default")
                ]),
                createVNode(script$1a, {
                  class: "w-112 mt-12",
                  style: { "border-radius": "26px" }
                }, {
                  default: withCtx(() => [
                    _hoisted_5
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 3
          }, 8, ["file-list"])
        ]),
        createCommentVNode(' <div class="tips" v-if="show">\u8BF7\u5148\u4E0A\u4F20\u6587\u4EF6\u5728\u63D0\u4EA4</div> '),
        createVNode(script$1a, {
          class: "w-112 mt-24",
          type: "primary",
          onClick: submitForm,
          style: { "border-radius": "26px" }
        }, {
          default: withCtx(() => [
            _hoisted_6
          ]),
          _: 1
        }),
        createVNode(script$1a, {
          type: "link",
          class: "ml-32 px-0",
          onClick: _cache[1] || (_cache[1] = ($event) => emit("downloadTemplate"))
        }, {
          default: withCtx(() => [
            _hoisted_7
          ]),
          _: 1
        }),
        __props.isExpress ? (openBlock(), createBlock(script$1a, {
          key: 0,
          type: "link",
          class: "ml-32 px-0",
          onClick: _cache[2] || (_cache[2] = ($event) => emit("downloadExpress"))
        }, {
          default: withCtx(() => [
            _hoisted_8
          ]),
          _: 1
        })) : createCommentVNode("v-if", true)
      ]);
    };
  }
});

script$9.__file = "package/components/upload/src/Upload.vue";

const __default__$8 = defineComponent({ name: "CalTagCount" });
var script$8 = defineComponent({
  ...__default__$8,
  props: {
    ghost: Boolean
  },
  setup(__props) {
    useTheme("Common");
    return (_ctx, _cache) => {
      return !__props.ghost ? (openBlock(), createBlock(unref(Tag), {
        key: 0,
        class: "\r\n      rounded-md\r\n      text-common-primary-color\r\n      border-common-primary-color border-solid border\r\n      box-border\r\n      bg-white\r\n      text-xs\r\n      ml-10\r\n      mr-0\r\n    "
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      })) : (openBlock(), createBlock(unref(Tag), {
        key: 1,
        color: "var(--common-primary-color)",
        class: "rounded-md box-border text-xs ml-10 mr-0"
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }));
    };
  }
});

script$8.__file = "package/components/_special/src/TagCount.vue";

pushScopeId("data-v-72becdf2");
const _hoisted_1$4 = { class: "coupon-container" };
const _hoisted_2$3 = /* @__PURE__ */ createVNode("div", { class: "coupon-view" }, " \u6298\u6263\u5238 ", -1);
popScopeId();
const __default__$7 = defineComponent({ name: "CalTagCoupon" });
var script$7 = defineComponent({
  ...__default__$7,
  setup(__props) {
    useTheme("Common");
    useTheme("Tabs");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$4, [
        _hoisted_2$3
      ]);
    };
  }
});

script$7.__scopeId = "data-v-72becdf2";
script$7.__file = "package/components/_special/src/TagCoupon.vue";

pushScopeId("data-v-591706e3");
const _hoisted_1$3 = { class: "offers-container" };
const _hoisted_2$2 = /* @__PURE__ */ createVNode("div", { class: "offers-view" }, " \u4F18\u60E0\u5238 ", -1);
popScopeId();
const __default__$6 = defineComponent({ name: "CalTagOffers" });
var script$6 = defineComponent({
  ...__default__$6,
  setup(__props) {
    useTheme("Common");
    useTheme("Tabs");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$3, [
        _hoisted_2$2
      ]);
    };
  }
});

script$6.__scopeId = "data-v-591706e3";
script$6.__file = "package/components/_special/src/TagOffers.vue";

const __default__$5 = defineComponent({ name: "CalTagSortArrow" });
var script$5 = defineComponent({
  ...__default__$5,
  props: {
    modelValue: {
      type: Number,
      default: 0
    },
    size: {
      type: Number,
      default: 12
    },
    text: String
  },
  setup(__props) {
    const props = __props;
    const status = useVModel(props, "modelValue");
    const onClick = () => {
      let index = status.value;
      ++index > 2 ? status.value = 0 : ++status.value;
    };
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("span", {
        class: "relative cursor-pointer",
        onClick
      }, [
        renderSlot(_ctx.$slots, "default"),
        createVNode(script$15, {
          class: ["ml-4", [unref(status) === 1 && "text-common-primary-color"]],
          type: "up-arrow-2",
          size: __props.size,
          style: [{ "zoom": "0.7" }, {
            letterSpacing: `${__props.size / 3 * -1}px`,
            marginBottom: "0.5px"
          }]
        }, null, 8, ["class", "size", "style"]),
        createVNode(script$15, {
          class: ["transform rotate-180 absolute", [unref(status) === 2 && "text-common-primary-color"]],
          type: "up-arrow-2",
          size: __props.size,
          style: [{ "zoom": "0.7", "top": "3.5px" }, { fontSize: `${__props.size}px`, marginTop: "0.5px" }]
        }, null, 8, ["size", "class", "style"])
      ]);
    };
  }
});

script$5.__file = "package/components/_special/src/TagSortArrow.vue";

const __default__$4 = defineComponent({ name: "CalIncreaseBox" });
var script$4 = defineComponent({
  ...__default__$4,
  props: {
    showSlot: Boolean,
    borderStyle: {
      type: String,
      default: "dashed"
    },
    size: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const wh = computed(() => analySize(props.size));
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "\r\n      border border-grey-light\r\n      rounded-lg\r\n      cursor-pointer\r\n      flex flex-col\r\n      justify-center\r\n      items-center\r\n    ",
        style: { borderStyle: __props.borderStyle, width: unref(wh).width, height: unref(wh).height }
      }, [
        createVNode(script$15, {
          type: "increase",
          color: "var(--common-primary-color)",
          size: "24"
        }),
        renderSlot(_ctx.$slots, "default")
      ], 4);
    };
  }
});

script$4.__file = "package/components/_special/src/IncreaseBox.vue";

const _hoisted_1$2 = { class: "cal-select-box__hover absolute left-0 right-0 bottom-0 top-0" };
const __default__$3 = defineComponent({ name: "CalSelectBox" });
var script$3 = defineComponent({
  ...__default__$3,
  props: {
    select: Boolean,
    border: {
      type: Boolean,
      default: true
    },
    borderRadius: {
      type: [Number, String],
      default: 20
    },
    tagSize: {
      type: [Number, String],
      default: 40
    },
    position: {
      type: String,
      default: "rightTop"
    }
  },
  setup(__props) {
    const props = __props;
    const tagBoxSize = computed(() => ({
      width: analyUnit(props.tagSize),
      height: analyUnit(props.tagSize)
    }));
    const positionStyle = computed(() => ({
      top: /top/i.test(props.position) ? 0 : "none",
      right: /right/i.test(props.position) ? 0 : "none",
      bottom: /bottom/i.test(props.position) ? 0 : "none",
      left: /left/i.test(props.position) ? 0 : "none"
    }));
    const triangleStyle = computed(() => ({
      borderWidth: `calc(${analyUnit(props.tagSize)} / 2)`,
      borderTopColor: /top/i.test(props.position) ? "var(--common-primary-color)" : "transparent",
      borderRightColor: /right/i.test(props.position) ? "var(--common-primary-color)" : "transparent",
      borderBottomColor: /bottom/i.test(props.position) ? "var(--common-primary-color)" : "transparent",
      borderLeftColor: /left/i.test(props.position) ? "var(--common-primary-color)" : "transparent"
    }));
    const iconStyle = computed(() => ({
      top: /top/i.test(props.position) ? `calc(${analyUnit(props.tagSize)} / 4)` : "none",
      right: /right/i.test(props.position) ? `calc(${analyUnit(props.tagSize)} / 4)` : "none",
      bottom: /bottom/i.test(props.position) ? `calc(${analyUnit(props.tagSize)} / 4)` : "none",
      left: /left/i.test(props.position) ? `calc(${analyUnit(props.tagSize)} / 4)` : "none"
    }));
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-select-box relative inline-block overflow-hidden",
        style: { borderRadius: unref(analyUnit)(__props.borderRadius) }
      }, [
        renderSlot(_ctx.$slots, "default"),
        createCommentVNode(" \u9009\u4E2D\u72B6\u6001\u76D2\u5B50 "),
        __props.select ? (openBlock(), createBlock("div", {
          key: 0,
          class: "\r\n        absolute\r\n        left-0\r\n        right-0\r\n        bottom-0\r\n        top-0\r\n        box-border\r\n        border-common-primary-color border-solid\r\n        overflow-hidden\r\n        flex\r\n        items-center\r\n        justify-center\r\n      ",
          style: {
            borderWidth: __props.border && __props.select ? "2px" : "0",
            borderRadius: unref(analyUnit)(__props.borderRadius)
          }
        }, [
          renderSlot(_ctx.$slots, "select"),
          createVNode("div", {
            class: "absolute text-right",
            style: [unref(positionStyle), unref(tagBoxSize)]
          }, [
            __props.select ? (openBlock(), createBlock("div", {
              key: 0,
              class: "absolute border-solid",
              style: [unref(triangleStyle)]
            }, null, 4)) : createCommentVNode("v-if", true),
            __props.select ? (openBlock(), createBlock(script$15, {
              key: 1,
              class: "absolute",
              type: "yes",
              color: "#ffffff",
              size: "30",
              style: [{ "zoom": "0.5" }, unref(iconStyle)]
            }, null, 8, ["style"])) : createCommentVNode("v-if", true)
          ], 4)
        ], 4)) : createCommentVNode("v-if", true),
        createCommentVNode(" hover \u6548\u679C\u76D2\u5B50 "),
        createVNode("div", _hoisted_1$2, [
          renderSlot(_ctx.$slots, "hover")
        ])
      ], 4);
    };
  }
});

script$3.__file = "package/components/_special/src/SelectBox.vue";

const THEME_EDIT_KEY = "--antd-design-vue-flat-edit-theme--";

const _hoisted_1$1 = /* @__PURE__ */ createTextVNode("\u91CD\u7F6E");
const _hoisted_2$1 = { class: "cal-theme-editor" };
const __default__$2 = defineComponent({ name: "CalThemeEditor" });
var script$2 = defineComponent({
  ...__default__$2,
  setup(__props) {
    const currentTheme = useGlobalTheme();
    const localeTheme = useStorage(THEME_EDIT_KEY, {});
    const deepEditorTheme = computed(() => {
      const deepThemeConfig = {};
      const getTargetComputed = (target) => {
        return {
          value: computed({
            get: () => get(localeTheme.value, target) || "",
            set: (value) => {
              if (value) {
                set(localeTheme.value, target, value);
              } else {
                delete localeTheme.value[target[0]];
              }
            }
          }),
          target,
          name: camelCase(target.join("-"))
        };
      };
      const getThemeComputeds = (option, upperPath) => {
        const array = [];
        let pathMaps = [upperPath];
        const recursion = (option2) => {
          forIn(option2, (v, k) => {
            pathMaps.push(k);
            if (typeof v === "object") {
              recursion(v);
            } else {
              array.push(getTargetComputed([...pathMaps]));
            }
            pathMaps = pathMaps.slice(0, pathMaps.indexOf(k));
          });
        };
        recursion(option);
        return array;
      };
      forIn(currentTheme.value, (v, k) => {
        deepThemeConfig[k] = getThemeComputeds(v, k);
      });
      return deepThemeConfig;
    });
    const resetLocaleTheme = () => localeTheme.value = {};
    const injectOverrides = inject("themeOverrides");
    const mergeTheme = computed(() => merge(injectOverrides?.value, localeTheme.value));
    provide("themeOverrides", mergeTheme);
    return (_ctx, _cache) => {
      const _component_cal_button = resolveComponent("cal-button");
      const _component_cal_input = resolveComponent("cal-input");
      return openBlock(), createBlock(Fragment, null, [
        renderSlot(_ctx.$slots, "default"),
        createVNode(_component_cal_button, { onClick: resetLocaleTheme }, {
          default: withCtx(() => [
            _hoisted_1$1
          ]),
          _: 1
        }),
        createVNode("div", _hoisted_2$1, [
          (openBlock(true), createBlock(Fragment, null, renderList(unref(deepEditorTheme), (items, key) => {
            return openBlock(), createBlock("div", { key }, [
              createVNode("div", null, toDisplayString(key), 1),
              (openBlock(true), createBlock(Fragment, null, renderList(items, (item, index) => {
                return openBlock(), createBlock("div", {
                  class: "ml-10",
                  key: index
                }, [
                  createTextVNode(toDisplayString(item.name) + "\uFF1A", 1),
                  createVNode(_component_cal_input, {
                    modelValue: item.value.value,
                    "onUpdate:modelValue": ($event) => item.value.value = $event,
                    placeholder: unref(get)(unref(currentTheme), item.target)
                  }, null, 8, ["modelValue", "onUpdate:modelValue", "placeholder"])
                ]);
              }), 128))
            ]);
          }), 128))
        ])
      ], 64);
    };
  }
});

script$2.__file = "package/components/theme/src/ThemeEditor.vue";

const __default__$1 = defineComponent({ name: "CalButtonTabs" });
var script$1 = defineComponent({
  ...__default__$1,
  props: {
    ...inheritProps(NSpace),
    ...inheritProps(script$1a),
    tabs: {
      type: Object,
      default: []
    },
    current: Object,
    buttonWidth: {
      type: [String, Number],
      default: "110px"
    },
    defaultType: {
      type: String,
      default: ""
    },
    activeType: {
      type: String,
      default: "primary"
    },
    size: {
      type: Object,
      default: 28
    }
  },
  setup(__props) {
    const props = __props;
    const currentModel = useVModel(props, "current");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NSpace), mergeProps({ lass: "cal-button-tabs" }, props), {
        default: withCtx(() => [
          (openBlock(true), createBlock(Fragment, null, renderList(__props.tabs, (item, index) => {
            return openBlock(), createBlock("div", {
              class: "cal-button-item",
              key: index
            }, [
              createVNode(script$1a, mergeProps(props, {
                type: unref(currentModel) === item.value ? __props.activeType : __props.defaultType,
                onClick: ($event) => currentModel.value = item.value,
                style: { width: unref(analyUnit)(__props.buttonWidth) }
              }), {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(item.label), 1)
                ]),
                _: 2
              }, 1040, ["type", "onClick", "style"])
            ]);
          }), 128))
        ]),
        _: 1
      }, 16);
    };
  }
});

script$1.__file = "package/components/button/src/ButtonTabs.vue";

const _hoisted_1 = {
  class: "cal-popover-examples-container text-common-primary-color flex items-center",
  style: { "width": "max-content" }
};
const _hoisted_2 = { key: 0 };
const _hoisted_3 = { key: 1 };
const __default__ = defineComponent({ name: "CalPopoverExamples" });
var script = defineComponent({
  ...__default__,
  props: {
    title: {
      type: String,
      default: "\u793A\u4F8B"
    },
    size: {
      type: Object
    },
    src: String
  },
  setup(__props) {
    const props = __props;
    const slots = useSlots();
    return (_ctx, _cache) => {
      const _component_a_popover = resolveComponent("a-popover");
      return openBlock(), createBlock(_component_a_popover, mergeProps(props, {
        title: null,
        overlayClassName: "cal-popover-container-in-examples"
      }), {
        content: withCtx(() => [
          createVNode(script$z, {
            size: __props.size,
            src: __props.src
          }, null, 8, ["size", "src"])
        ]),
        default: withCtx(() => [
          createVNode("span", _hoisted_1, [
            createVNode(script$15, {
              type: "examples",
              size: "18",
              class: "mr-10"
            }),
            unref(slots)["default"] ? (openBlock(), createBlock("span", _hoisted_2, [
              renderSlot(_ctx.$slots, "default")
            ])) : (openBlock(), createBlock("span", _hoisted_3, toDisplayString(__props.title), 1))
          ])
        ]),
        _: 3
      }, 16);
    };
  }
});

script.__file = "package/components/popover/src/PopoverExamples.vue";

var components = /*#__PURE__*/Object.freeze({
  __proto__: null,
  CalButton: script$1a,
  CalQrCode: script$19,
  CalGlobalStyle: script$18,
  CalProvide: script$17,
  CalProvides: script$16,
  CalDialog: script$14,
  CalNprogress: script$13,
  CalModel: CalModel,
  CalEcharts: ECharts,
  CalForm: Form,
  CalSlider: script$12,
  CalResult: NResult,
  CalFormItem: FormItem,
  CalPerfectScrollbar: script$11,
  CalButtonProgress: script$10,
  CalEditor: script$$,
  CalBreadcrumb: Breadcrumb,
  CalBreadcrumbItem: BreadcrumbItem,
  CalColorElPickr: script$_,
  CalColorNPickr: script$Y,
  CalColorFullPickr: script$X,
  CalColorSimonwepPickr: script$W,
  CalDescriptions: NDescriptions,
  CalDescriptionsItem: NDescriptionsItem,
  CalConfigProvider: script$V,
  CalMenu: script$U,
  CalMenuItem: script$T,
  CalMenuGroup: script$R,
  CalLayout: Layout$1,
  CalLayoutContent: LayoutContent,
  CalLayoutSider: LayoutSider,
  CalLayoutSticky: script$Q,
  CalBackground: script$P,
  CalEllipsis: script$O,
  CalSpace: script$N,
  CalGrid: script$M,
  CalAvatar: script$L,
  CalInput: script$K,
  CalInputSection: script$J,
  CalInputPassword: script$I,
  CalInputDate: script$H,
  CalInputNumber: script$G,
  CalInputSearch: script$F,
  CalInputSelect: script$E,
  CalInputSpecialSelect: script$D,
  CalInputRangePicker: script$C,
  CalInputTreeSelect: script$B,
  CalInputTimePicker: script$A,
  CalIcon: script$15,
  CalImage: script$z,
  CalCard: script$y,
  CalGraphicsVerif: script$x,
  CalCascader: script$w,
  CalCheckbox: script$v,
  CalCheckboxGroup: script$u,
  CalButtonCascader: script$t,
  CalNestedSortTable: script$s,
  CalNestedSortTableCard: script$r,
  CalCollapseTransition: script$S,
  CalEmpty: script$q,
  CalDragFile: script$p,
  CalPageSelect: script$o,
  CalPagination: script$n,
  CalRadio: script$m,
  CalRadioGroup: script$l,
  CalRadioButton: script$k,
  CalStep: script$j,
  CalSteps: script$i,
  CalSwitch: script$h,
  CalTable: script$f,
  CalTableOption: script$e,
  CalTabs: script$d,
  CalTabPane: script$c,
  CalTextarea: script$b,
  CalTree: script$a,
  CalUpload: script$9,
  CalTag: script$Z,
  CalTagCount: script$8,
  CalTagCoupon: script$7,
  CalTagOffers: script$6,
  CalTagSortArrow: script$5,
  CalIncreaseBox: script$4,
  CalSelectBox: script$3,
  CalThemeEditor: script$2,
  CalButtonTabs: script$1,
  CalPopoverExamples: script
});

const useAntdForm = (formRef, validRules) => {
  const rules = ref(validRules);
  const validate = async (namePaths) => {
    try {
      return await formRef.value?.validate(namePaths);
    } catch (error) {
      if (!error?.errorFields?.length) {
        message.error(error);
        return void 0;
      }
      message.error(error.errorFields[0]["errors"][0]);
      throw new Error(error);
    }
  };
  const validateFields = async (namePaths) => {
    try {
      const validateFields2 = formRef.value?.validateFields || formRef.value?.validate;
      return await validateFields2(namePaths);
    } catch (error) {
      if (!error.errorFields.length)
        return void 0;
      message.error(error.errorFields[0]["errors"][0]);
      throw new Error(error);
    }
  };
  const resetFields = () => {
    formRef.value?.resetFields();
  };
  const clearValidate = (names) => {
    formRef.value?.clearValidate(names);
  };
  const scrollToField = (namePath, option) => {
    formRef.value?.scrollToField(namePath, option);
  };
  return { rules, validate, validateFields, scrollToField, resetFields, clearValidate };
};

const install = (app) => {
  Object.values(components).forEach((component) => {
    app.component(component.name, component);
  });
  app.use(antd__default);
};
var index = { install };

export default index;
export { script$L as CalAvatar, script$P as CalBackground, BreadcrumbItem as CalBreadcrumbItem, script$1a as CalButton, script$t as CalButtonCascader, script$10 as CalButtonProgress, script$1 as CalButtonTabs, script$y as CalCard, script$w as CalCascader, script$v as CalCheckbox, script$u as CalCheckboxGroup, script$S as CalCollapseTransition, script$_ as CalColorElPickr, script$X as CalColorFullPickr, script$Y as CalColorNPickr, script$W as CalColorSimonwepPickr, script$V as CalConfigProvider, script$14 as CalDialog, script$p as CalDragFile, script$$ as CalEditor, script$O as CalEllipsis, script$q as CalEmpty, FormItem as CalFormItem, script$18 as CalGlobalStyle, script$x as CalGraphicsVerif, script$M as CalGrid, script$15 as CalIcon, script$z as CalImage, script$4 as CalIncreaseBox, script$K as CalInput, script$H as CalInputDate, script$G as CalInputNumber, script$I as CalInputPassword, script$C as CalInputRangePicker, script$F as CalInputSearch, script$J as CalInputSection, script$E as CalInputSelect, script$D as CalInputSpecialSelect, script$A as CalInputTimePicker, script$B as CalInputTreeSelect, LayoutContent as CalLayoutContent, LayoutSider as CalLayoutSider, script$Q as CalLayoutSticky, script$U as CalMenu, script$R as CalMenuGroup, script$T as CalMenuItem, CalModel, script$s as CalNestedSortTable, script$r as CalNestedSortTableCard, script$13 as CalNprogress, script$o as CalPageSelect, script$n as CalPagination, script$11 as CalPerfectScrollbar, script as CalPopoverExamples, script$17 as CalProvide, script$16 as CalProvides, script$19 as CalQrCode, script$m as CalRadio, script$k as CalRadioButton, script$l as CalRadioGroup, script$3 as CalSelectBox, script$12 as CalSlider, script$N as CalSpace, script$j as CalStep, script$i as CalSteps, script$h as CalSwitch, script$c as CalTabPane, script$f as CalTable, script$e as CalTableOption, script$d as CalTabs, script$Z as CalTag, script$8 as CalTagCount, script$7 as CalTagCoupon, script$6 as CalTagOffers, script$5 as CalTagSortArrow, script$b as CalTextarea, script$2 as CalThemeEditor, script$a as CalTree, script$9 as CalUpload, defaultTheme, inheritProps, install, randomString, transformTheme2CssVars, useAntdForm, useGlobalTheme, useTheme };
